[Bug 1897751] Re: Introduce the new NVIDIA 455 series

2020-10-22 Thread Alberto Milone
** Changed in: linux-restricted-modules (Ubuntu)
   Status: New => In Progress

** Changed in: nvidia-graphics-drivers-455 (Ubuntu)
   Status: New => In Progress

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1897751

Title:
  Introduce the new NVIDIA 455 series

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux-restricted-modules/+bug/1897751/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1897751] Re: Introduce the new NVIDIA 455 series

2020-10-21 Thread Alberto Milone
** Package changed: nvidia-graphics-drivers-450 (Ubuntu) => nvidia-
graphics-drivers-455 (Ubuntu)

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1897751

Title:
  Introduce the new NVIDIA 455 series

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux-restricted-modules/+bug/1897751/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1900452] Re: /usr/bin/ubuntu-drivers:KeyError:__getitem__:/usr/bin/ubuntu-drivers@434:__call__:main:invoke:invoke:invoke:new_func:invoke:list:get_linux_modules_metapackage:get_linux_image_from_me

2020-10-19 Thread Alberto Milone
** Changed in: ubuntu-drivers-common (Ubuntu)
   Status: New => In Progress

** Changed in: ubuntu-drivers-common (Ubuntu)
 Assignee: (unassigned) => Alberto Milone (albertomilone)

** Changed in: ubuntu-drivers-common (Ubuntu)
   Importance: Undecided => High

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1900452

Title:
  /usr/bin/ubuntu-drivers:KeyError:__getitem__:/usr/bin/ubuntu-
  
drivers@434:__call__:main:invoke:invoke:invoke:new_func:invoke:list:get_linux_modules_metapackage:get_linux_image_from_meta:__getitem__

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-drivers-common/+bug/1900452/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1900137] [NEW] PRIME on demand mode uses the wrong GPU

2020-10-16 Thread Alberto Milone
Public bug reported:

If you selected "nvidia" (performance) mode in the past, selecting on-
demand mode will not remove the xorg configuration file, and the NVIDIA
GPU will remain the primary GPU (whereas the integrated GPU should be
the primary one).

DISPLAY=:1 __NV_PRIME_RENDER_OFFLOAD=0 __GLX_VENDOR_LIBRARY_NAME=""
glxinfo | grep renderer

OpenGL renderer string: Quadro T2000 with Max-Q Design/PCIe/SSE2

** Affects: ubuntu-drivers-common (Ubuntu)
 Importance: High
     Assignee: Alberto Milone (albertomilone)
 Status: In Progress

** Changed in: ubuntu-drivers-common (Ubuntu)
   Importance: Undecided => High

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1900137

Title:
  PRIME on demand mode uses the wrong GPU

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-drivers-common/+bug/1900137/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1895855] Re: FFE: support for NVIDIA runtimepm (hybrid gfx)

2020-10-15 Thread Alberto Milone
** Changed in: nvidia-graphics-drivers-450 (Ubuntu)
   Status: Triaged => Fix Released

** Changed in: nvidia-graphics-drivers-450 (Ubuntu)
 Assignee: (unassigned) => Alberto Milone (albertomilone)

** Changed in: nvidia-prime (Ubuntu)
 Assignee: (unassigned) => Alberto Milone (albertomilone)

** Also affects: ubuntu-drivers-common (Ubuntu Focal)
   Importance: Undecided
   Status: New

** Also affects: nvidia-prime (Ubuntu Focal)
   Importance: Undecided
   Status: New

** Also affects: nvidia-graphics-drivers-450 (Ubuntu Focal)
   Importance: Undecided
   Status: New

** Also affects: ubuntu-drivers-common (Ubuntu Bionic)
   Importance: Undecided
   Status: New

** Also affects: nvidia-prime (Ubuntu Bionic)
   Importance: Undecided
   Status: New

** Also affects: nvidia-graphics-drivers-450 (Ubuntu Bionic)
   Importance: Undecided
   Status: New

** Changed in: nvidia-graphics-drivers-450 (Ubuntu Bionic)
   Importance: Undecided => Wishlist

** Changed in: nvidia-graphics-drivers-450 (Ubuntu Bionic)
   Status: New => Triaged

** Changed in: nvidia-graphics-drivers-450 (Ubuntu Bionic)
 Assignee: (unassigned) => Alberto Milone (albertomilone)

** Changed in: nvidia-graphics-drivers-450 (Ubuntu Focal)
   Status: New => Triaged

** Changed in: nvidia-graphics-drivers-450 (Ubuntu Focal)
 Assignee: (unassigned) => Alberto Milone (albertomilone)

** Changed in: nvidia-graphics-drivers-450 (Ubuntu Focal)
   Importance: Undecided => Wishlist

** No longer affects: nvidia-graphics-drivers-450 (Ubuntu Bionic)

** No longer affects: nvidia-graphics-drivers-450 (Ubuntu Focal)

** No longer affects: nvidia-prime (Ubuntu Bionic)

** No longer affects: nvidia-prime (Ubuntu Focal)

** No longer affects: ubuntu-drivers-common (Ubuntu Bionic)

** No longer affects: ubuntu-drivers-common (Ubuntu Focal)

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1895855

Title:
  FFE: support for NVIDIA runtimepm (hybrid gfx)

To manage notifications about this bug go to:
https://bugs.launchpad.net/oem-priority/+bug/1895855/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1899630] Re: Nvidia driver is marked as "free" on first installation before "apt update"

2020-10-14 Thread Alberto Milone
** Changed in: ubuntu-drivers-common (Ubuntu)
   Status: Triaged => In Progress

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1899630

Title:
  Nvidia driver is marked as "free" on first installation before "apt
  update"

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-drivers-common/+bug/1899630/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1884404] Re: package nvidia-340 (not installed) failed to install/upgrade: a tentar sobre-escrever '/lib/udev/rules.d/71-nvidia.rules', que também está no pacote nvidia-kernel-common-440 440.82+r

2020-10-13 Thread Alberto Milone
*** This bug is a duplicate of bug 1768499 ***
https://bugs.launchpad.net/bugs/1768499

** This bug is no longer a duplicate of bug 1880508
   package nvidia-340 (not installed) failed to install/upgrade: trying to 
overwrite '/lib/udev/rules.d/71-nvidia.rules', which is also in package 
nvidia-kernel-common-440 440.82+really.440.64-0ubuntu6
** This bug has been marked a duplicate of bug 1768499
   package nvidia-340 (not installed) failed to install/upgrade: trying to 
overwrite '/lib/udev/rules.d/71-nvidia.rules', which is also in package 
nvidia-kernel-common-390 390.48-0ubuntu3

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1884404

Title:
  package nvidia-340 (not installed) failed to install/upgrade: a tentar
  sobre-escrever '/lib/udev/rules.d/71-nvidia.rules', que também está no
  pacote nvidia-kernel-common-440 440.82+really.440.64-0ubuntu6

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-340/+bug/1884404/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1889974] Re: package nvidia-340 (not installed) failed to install/upgrade: trying to overwrite '/lib/udev/rules.d/71-nvidia.rules', which is also in package nvidia-kernel-common-440 440.100-0ubun

2020-10-13 Thread Alberto Milone
*** This bug is a duplicate of bug 1768499 ***
https://bugs.launchpad.net/bugs/1768499

** This bug is no longer a duplicate of bug 1880508
   package nvidia-340 (not installed) failed to install/upgrade: trying to 
overwrite '/lib/udev/rules.d/71-nvidia.rules', which is also in package 
nvidia-kernel-common-440 440.82+really.440.64-0ubuntu6
** This bug has been marked a duplicate of bug 1768499
   package nvidia-340 (not installed) failed to install/upgrade: trying to 
overwrite '/lib/udev/rules.d/71-nvidia.rules', which is also in package 
nvidia-kernel-common-390 390.48-0ubuntu3

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1889974

Title:
  package nvidia-340 (not installed) failed to install/upgrade: trying
  to overwrite '/lib/udev/rules.d/71-nvidia.rules', which is also in
  package nvidia-kernel-common-440 440.100-0ubuntu0.20.04.1

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-340/+bug/1889974/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1896129] Re: package nvidia-340 (not installed) failed to install/upgrade: trying to overwrite '/lib/udev/rules.d/71-nvidia.rules', which is also in package nvidia-kernel-common-440 440.100-0ubun

2020-10-13 Thread Alberto Milone
*** This bug is a duplicate of bug 1768499 ***
https://bugs.launchpad.net/bugs/1768499

** This bug is no longer a duplicate of bug 1880508
   package nvidia-340 (not installed) failed to install/upgrade: trying to 
overwrite '/lib/udev/rules.d/71-nvidia.rules', which is also in package 
nvidia-kernel-common-440 440.82+really.440.64-0ubuntu6
** This bug has been marked a duplicate of bug 1768499
   package nvidia-340 (not installed) failed to install/upgrade: trying to 
overwrite '/lib/udev/rules.d/71-nvidia.rules', which is also in package 
nvidia-kernel-common-390 390.48-0ubuntu3

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1896129

Title:
  package nvidia-340 (not installed) failed to install/upgrade: trying
  to overwrite '/lib/udev/rules.d/71-nvidia.rules', which is also in
  package nvidia-kernel-common-440 440.100-0ubuntu0.20.04.1

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-340/+bug/1896129/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1887565] Re: package nvidia-340 (not installed) failed to install/upgrade: intentando sobreescribir `/lib/udev/rules.d/71-nvidia.rules', que está también en el paquete nvidia-kernel-common-440 44

2020-10-13 Thread Alberto Milone
*** This bug is a duplicate of bug 1768499 ***
https://bugs.launchpad.net/bugs/1768499

** This bug is no longer a duplicate of bug 1880508
   package nvidia-340 (not installed) failed to install/upgrade: trying to 
overwrite '/lib/udev/rules.d/71-nvidia.rules', which is also in package 
nvidia-kernel-common-440 440.82+really.440.64-0ubuntu6
** This bug has been marked a duplicate of bug 1768499
   package nvidia-340 (not installed) failed to install/upgrade: trying to 
overwrite '/lib/udev/rules.d/71-nvidia.rules', which is also in package 
nvidia-kernel-common-390 390.48-0ubuntu3

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1887565

Title:
  package nvidia-340 (not installed) failed to install/upgrade:
  intentando sobreescribir `/lib/udev/rules.d/71-nvidia.rules', que está
  también en el paquete nvidia-kernel-common-440
  440.100-0ubuntu0.20.04.1

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-340/+bug/1887565/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1865577] Re: package nvidia-340 (not installed) failed to install/upgrade: trying to overwrite '/lib/udev/rules.d/71-nvidia.rules', which is also in package nvidia-kernel-common-440 440.59-0ubunt

2020-10-13 Thread Alberto Milone
*** This bug is a duplicate of bug 1768499 ***
https://bugs.launchpad.net/bugs/1768499

** This bug is no longer a duplicate of bug 1880508
   package nvidia-340 (not installed) failed to install/upgrade: trying to 
overwrite '/lib/udev/rules.d/71-nvidia.rules', which is also in package 
nvidia-kernel-common-440 440.82+really.440.64-0ubuntu6
** This bug has been marked a duplicate of bug 1768499
   package nvidia-340 (not installed) failed to install/upgrade: trying to 
overwrite '/lib/udev/rules.d/71-nvidia.rules', which is also in package 
nvidia-kernel-common-390 390.48-0ubuntu3

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1865577

Title:
  package nvidia-340 (not installed) failed to install/upgrade: trying
  to overwrite '/lib/udev/rules.d/71-nvidia.rules', which is also in
  package nvidia-kernel-common-440 440.59-0ubuntu2

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-340/+bug/1865577/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1880508] Re: package nvidia-340 (not installed) failed to install/upgrade: trying to overwrite '/lib/udev/rules.d/71-nvidia.rules', which is also in package nvidia-kernel-common-440 440.82+really

2020-10-13 Thread Alberto Milone
*** This bug is a duplicate of bug 1768499 ***
https://bugs.launchpad.net/bugs/1768499

** This bug has been marked a duplicate of bug 1768499
   package nvidia-340 (not installed) failed to install/upgrade: trying to 
overwrite '/lib/udev/rules.d/71-nvidia.rules', which is also in package 
nvidia-kernel-common-390 390.48-0ubuntu3

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1880508

Title:
  package nvidia-340 (not installed) failed to install/upgrade: trying
  to overwrite '/lib/udev/rules.d/71-nvidia.rules', which is also in
  package nvidia-kernel-common-440 440.82+really.440.64-0ubuntu6

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-340/+bug/1880508/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1899630] Re: Nvidia driver is marked as "free" on first installation before "apt update"

2020-10-13 Thread Alberto Milone
** Changed in: ubuntu-drivers-common (Ubuntu)
   Status: New => Triaged

** Changed in: ubuntu-drivers-common (Ubuntu)
 Assignee: (unassigned) => Alberto Milone (albertomilone)

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1899630

Title:
  Nvidia driver is marked as "free" on first installation before "apt
  update"

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-drivers-common/+bug/1899630/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1895855] Re: FFE: support for NVIDIA runtimepm (hybrid gfx)

2020-10-12 Thread Alberto Milone
I have uploaded a new nvidia-prime and a new ubuntu-drivers-common in
Groovy.

They address Yuan-Chen's concerns.

I also fixed the licence, specifying the two-clause BSD licence.

As for the reason why I didn't relied on on json-c was that I did not
see it in the archive. I can certainly rebase my code against that in
the future.

As for using /lib/modprobe.d/ instead of /etc/modprobe.d/ , I think this
comes from LP: #1761593 .

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1895855

Title:
  FFE: support for NVIDIA runtimepm (hybrid gfx)

To manage notifications about this bug go to:
https://bugs.launchpad.net/oem-priority/+bug/1895855/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1897910] Re: Update the 450 and 450-server NVIDIA drivers

2020-10-08 Thread Alberto Milone
** Tags removed: verification-needed verification-needed-bionic 
verification-needed-focal
** Tags added: verification-done verification-done-bionic 
verification-done-focal

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1897910

Title:
  Update the 450 and 450-server NVIDIA drivers

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-450/+bug/1897910/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1897910] Re: Update the 450 and 450-server NVIDIA drivers

2020-10-02 Thread Alberto Milone
** Changed in: nvidia-graphics-drivers-450-server (Ubuntu Bionic)
 Assignee: (unassigned) => Alberto Milone (albertomilone)

** Changed in: nvidia-graphics-drivers-450-server (Ubuntu Focal)
 Assignee: (unassigned) => Alberto Milone (albertomilone)

** Changed in: nvidia-graphics-drivers-450-server (Ubuntu)
   Status: New => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1897910

Title:
  Update the 450 and 450-server NVIDIA drivers

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-450/+bug/1897910/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1878045] Re: doing dist-upgrade got error related do Broadcom

2020-10-02 Thread Alberto Milone
** Changed in: bcmwl (Ubuntu)
 Assignee: (unassigned) => Alberto Milone (albertomilone)

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1878045

Title:
  doing dist-upgrade got error related do Broadcom

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/bcmwl/+bug/1878045/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1896136] Re: /usr/bin/ubuntu-drivers:KeyError:/usr/bin/ubuntu-drivers@434:__call__:main:invoke:invoke:invoke:new_func:invoke:list

2020-10-01 Thread Alberto Milone
** Changed in: ubuntu-drivers-common (Ubuntu)
 Assignee: (unassigned) => Alberto Milone (albertomilone)

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1896136

Title:
  /usr/bin/ubuntu-drivers:KeyError:/usr/bin/ubuntu-
  drivers@434:__call__:main:invoke:invoke:invoke:new_func:invoke:list

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-drivers-common/+bug/1896136/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1897910] Re: Update the 450 and 450-server NVIDIA drivers

2020-10-01 Thread Alberto Milone
** Summary changed:

- Update the 450 NVIDIA drivers
+ Update the 450 and 450-server NVIDIA drivers

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1897910

Title:
  Update the 450 and 450-server NVIDIA drivers

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-450/+bug/1897910/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1897910] [NEW] Update the 450 NVIDIA drivers

2020-09-30 Thread Alberto Milone
Public bug reported:

[Impact]
These releases provide both bug fixes and new features, and we would like to
make sure all of our users have access to these improvements.

See the changelog entry below for a full list of changes and bugs.

[Test Case]
The following development and SRU process was followed:
https://wiki.ubuntu.com/NVidiaUpdates

Certification test suite must pass on a range of hardware:
https://git.launchpad.net/plainbox-provider-sru/tree/units/sru.pxu

The QA team that executed the tests will be in charge of attaching the
artifacts and console output of the appropriate run to the bug. nVidia
maintainers team members will not mark ‘verification-done’ until this
has happened.

[Regression Potential]
In order to mitigate the regression potential, the results of the
aforementioned system level tests are attached to this bug.

[Discussion]

** Affects: nvidia-graphics-drivers-450 (Ubuntu)
 Importance: High
 Assignee: Alberto Milone (albertomilone)
 Status: Invalid

** Affects: nvidia-graphics-drivers-450 (Ubuntu Bionic)
 Importance: High
 Assignee: Alberto Milone (albertomilone)
 Status: In Progress

** Affects: nvidia-graphics-drivers-450 (Ubuntu Focal)
 Importance: High
 Assignee: Alberto Milone (albertomilone)
 Status: In Progress

** Changed in: nvidia-graphics-drivers-450 (Ubuntu)
 Assignee: (unassigned) => Alberto Milone (albertomilone)

** Changed in: nvidia-graphics-drivers-450 (Ubuntu)
   Importance: Undecided => High

** Changed in: nvidia-graphics-drivers-450 (Ubuntu)
   Status: New => In Progress

** Also affects: nvidia-graphics-drivers-450 (Ubuntu Focal)
   Importance: Undecided
   Status: New

** Also affects: nvidia-graphics-drivers-450 (Ubuntu Bionic)
   Importance: Undecided
   Status: New

** Changed in: nvidia-graphics-drivers-450 (Ubuntu Bionic)
 Assignee: (unassigned) => Alberto Milone (albertomilone)

** Changed in: nvidia-graphics-drivers-450 (Ubuntu Focal)
 Assignee: (unassigned) => Alberto Milone (albertomilone)

** Changed in: nvidia-graphics-drivers-450 (Ubuntu Bionic)
   Status: New => In Progress

** Changed in: nvidia-graphics-drivers-450 (Ubuntu Focal)
   Status: New => In Progress

** Changed in: nvidia-graphics-drivers-450 (Ubuntu Bionic)
   Importance: Undecided => High

** Changed in: nvidia-graphics-drivers-450 (Ubuntu Focal)
   Importance: Undecided => High

** Changed in: nvidia-graphics-drivers-450 (Ubuntu)
   Status: In Progress => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1897910

Title:
  Update the 450 NVIDIA drivers

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-450/+bug/1897910/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1897751] [NEW] Introduce the new NVIDIA 455 series

2020-09-29 Thread Alberto Milone
Public bug reported:

[Impact]
These releases provide both bug fixes and new features, and we would like to
make sure all of our users have access to these improvements.

See the changelog entry below for a full list of changes and bugs.

[Test Case]
The following development and SRU process was followed:
https://wiki.ubuntu.com/NVidiaUpdates

Certification test suite must pass on a range of hardware:
https://git.launchpad.net/plainbox-provider-sru/tree/units/sru.pxu

The QA team that executed the tests will be in charge of attaching the
artifacts and console output of the appropriate run to the bug. nVidia
maintainers team members will not mark ‘verification-done’ until this
has happened.

[Regression Potential]
In order to mitigate the regression potential, the results of the
aforementioned system level tests are attached to this bug.

[Discussion]

** Affects: linux-restricted-modules (Ubuntu)
 Importance: Undecided
 Assignee: Alberto Milone (albertomilone)
 Status: New

** Affects: nvidia-graphics-drivers-450 (Ubuntu)
 Importance: Undecided
 Assignee: Alberto Milone (albertomilone)
 Status: New

** Also affects: nvidia-graphics-drivers-450 (Ubuntu)
   Importance: Undecided
   Status: New

** Changed in: nvidia-graphics-drivers-450 (Ubuntu)
 Assignee: (unassigned) => Alberto Milone (albertomilone)

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1897751

Title:
  Introduce the new NVIDIA 455 series

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux-restricted-modules/+bug/1897751/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1895855] Re: FFE: support for NVIDIA runtimepm (hybrid gfx)

2020-09-23 Thread Alberto Milone
You can't list the NVIDIA cards if they aren't on the bus any more.

What you can do is check the availability of /etc/prime-discrete , which
is only created when hybrid graphics is detected.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1895855

Title:
  FFE: support for NVIDIA runtimepm (hybrid gfx)

To manage notifications about this bug go to:
https://bugs.launchpad.net/oem-priority/+bug/1895855/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1895855] Re: FFE: support for NVIDIA runtimepm (hybrid gfx)

2020-09-18 Thread Alberto Milone
Changes to the NVIDIA drivers.

** Patch added: "nvidia-driver-changes.diff"
   
https://bugs.launchpad.net/ubuntu/+source/ubuntu-drivers-common/+bug/1895855/+attachment/5412194/+files/nvidia-driver-changes.diff

** Also affects: nvidia-prime (Ubuntu)
   Importance: Undecided
   Status: New

** Also affects: nvidia-graphics-drivers-450 (Ubuntu)
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1895855

Title:
  FFE: support for NVIDIA runtimepm (hybrid gfx)

To manage notifications about this bug go to:
https://bugs.launchpad.net/oem-priority/+bug/1895855/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1895855] Re: FFE: support for NVIDIA runtimepm (hybrid gfx)

2020-09-18 Thread Alberto Milone
nvidia-prime changes

** Patch added: "nvidia-prime-changes.diff"
   
https://bugs.launchpad.net/ubuntu/+source/ubuntu-drivers-common/+bug/1895855/+attachment/5412192/+files/nvidia-prime-changes.diff

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1895855

Title:
  FFE: support for NVIDIA runtimepm (hybrid gfx)

To manage notifications about this bug go to:
https://bugs.launchpad.net/oem-priority/+bug/1895855/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1895855] Re: FFE: support for NVIDIA runtimepm (hybrid gfx)

2020-09-18 Thread Alberto Milone
Changes for u-d-c

** Patch added: "ubuntu-drivers-common_changes.diff"
   
https://bugs.launchpad.net/ubuntu/+source/ubuntu-drivers-common/+bug/1895855/+attachment/5412190/+files/ubuntu-drivers-common_changes.diff

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1895855

Title:
  FFE: support for NVIDIA runtimepm (hybrid gfx)

To manage notifications about this bug go to:
https://bugs.launchpad.net/oem-priority/+bug/1895855/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1895855] [NEW] FFE: support for NVIDIA runtimepm (hybrid gfx)

2020-09-16 Thread Alberto Milone
Public bug reported:

The work that went into ubuntu-drivers-common and nvidia-prime is meant
to enable RTD3 support on Intel/NVIDIA or AMD/NVIDIA hybrid systems,
introduced by the NVIDIA 450 driver series.

This allows the supported systems to make use of the integrated GPU
(Intel or AMD) and to keep the discrete NVIDIA GPU powered down until
needed. While powered down, the NVIDIA GPU can still detect any events,
should external displays be plugged in.

This brings hybrid graphics on Linux on par with Windows.

Only the supported GPUs will be able to benefit from this change. This
is why NVIDIA provides a hardware database (included in the nvidia
packages), which gpu-manager can now parse. The ubuntu-drivers tool
relies on that detection to enable this new feature when installing the
NVIDIA driver.

Another improvement is the ability of ubuntu-drivers to detect LTSB
(Long term support branch), NFB (New feature branch), Legacy, Beta
flags, which the NVIDIA drivers can have, and make informed detection
choices.


This work also includes a number of bug fixes reported on errors.ubuntu.com.

Requirements:

The new ubuntu-drivers-common:


The new nvidia-prime:


Changes to the NVIDIA drivers:

** Affects: ubuntu-drivers-common (Ubuntu)
 Importance: Wishlist
 Assignee: Alberto Milone (albertomilone)
 Status: Triaged

** Changed in: ubuntu-drivers-common (Ubuntu)
   Importance: Undecided => Wishlist

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1895855

Title:
  FFE: support for NVIDIA runtimepm (hybrid gfx)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-drivers-common/+bug/1895855/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1655348] Re: gpu-manager Error: can't open /lib/modules/

2020-09-16 Thread Alberto Milone
Unfortunately "Error: can't open /lib/modules/" has nothing to do with
any freezes. It is not even  an actual error message. Feel free to file
a bug report against the nvidia driver, if that is what you are using.

** Changed in: ubuntu-drivers-common (Ubuntu)
   Status: Confirmed => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1655348

Title:
  gpu-manager Error: can't open /lib/modules/

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-drivers-common/+bug/1655348/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1879481] Re: update gcc-9 and gcc-10 packages for focal

2020-09-14 Thread Alberto Milone
I can't reproduce the problem any more here, either on my Focal
installation or in my chroot.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1879481

Title:
  update gcc-9 and gcc-10 packages for focal

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gcc-10/+bug/1879481/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1887674] Re: Introduce the new NVIDIA 450-server and the 450 UDA series

2020-09-14 Thread Alberto Milone
I can't reproduce the problem in Focal any more (either in my chroot or
in my focal installation). Can you?

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1887674

Title:
  Introduce the new NVIDIA 450-server and the 450 UDA series

To manage notifications about this bug go to:
https://bugs.launchpad.net/oem-priority/+bug/1887674/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1879481] Re: update gcc-9 and gcc-10 packages for focal

2020-09-11 Thread Alberto Milone
The update seems to break the NVIDIA packages, any ideas?

See the full log in the attachment.

These are the last two lines:
E: Could not configure 'libc6:i386'. 
E: Could not perform immediate configuration on 'libgcc-s1:i386'. Please see 
man 5 apt.conf

Also see:
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-450/+bug/1887674/comments/7

** Attachment added: "libc6_386_failure"
   
https://bugs.launchpad.net/ubuntu/+source/gcc-10/+bug/1879481/+attachment/5409672/+files/libc6_386_failure

** Tags removed: verification-done verification-done-focal
** Tags added: verification-failed-focal verification-needed

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1879481

Title:
  update gcc-9 and gcc-10 packages for focal

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gcc-10/+bug/1879481/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1887674] Re: Introduce the new NVIDIA 450-server and the 450 UDA series

2020-09-10 Thread Alberto Milone
libgcc-s1:i386 should only be available in Ubuntu 20.10, unless somebody
backported Gcc from groovy, and broke compatibility, which seems to be
the case here.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1887674

Title:
  Introduce the new NVIDIA 450-server and the 450 UDA series

To manage notifications about this bug go to:
https://bugs.launchpad.net/oem-priority/+bug/1887674/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1429451] Re: nvidia-340-uvm kernel module failed to build after update [ld: cannot open linker script file .../.tmp_nv-frontend.ver: No such file or directory]

2020-08-27 Thread Alberto Milone
** Changed in: nvidia-graphics-drivers-340 (Ubuntu)
   Status: Confirmed => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1429451

Title:
  nvidia-340-uvm kernel module failed to build after update [ld: cannot
  open linker script file .../.tmp_nv-frontend.ver: No such file or
  directory]

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-340/+bug/1429451/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1435785] Re: nvidia-340-uvm 340.76-0ubuntu1: nvidia-340-uvm kernel module failed to build [objdump: '.../.tmp_nv-acpi.o': No such file]

2020-08-27 Thread Alberto Milone
** Changed in: nvidia-graphics-drivers-340 (Ubuntu)
   Status: Confirmed => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1435785

Title:
  nvidia-340-uvm 340.76-0ubuntu1: nvidia-340-uvm kernel module failed to
  build [objdump: '.../.tmp_nv-acpi.o': No such file]

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-340/+bug/1435785/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1887674] Re: Introduce the new NVIDIA 450-server and the 450 UDA series

2020-08-26 Thread Alberto Milone
** Changed in: linux-restricted-modules (Ubuntu)
   Importance: Undecided => High

** Changed in: linux-restricted-modules (Ubuntu)
   Status: New => Confirmed

** Changed in: linux-restricted-modules (Ubuntu)
   Status: Confirmed => Triaged

** Changed in: linux-restricted-modules (Ubuntu Bionic)
   Importance: Undecided => High

** Changed in: linux-restricted-modules (Ubuntu Bionic)
   Status: New => Triaged

** Changed in: linux-restricted-modules (Ubuntu Focal)
   Importance: Undecided => High

** Changed in: linux-restricted-modules (Ubuntu Focal)
   Status: New => Triaged

** Changed in: linux (Ubuntu)
   Importance: Undecided => High

** Changed in: linux (Ubuntu)
   Status: Incomplete => Triaged

** Changed in: linux (Ubuntu Bionic)
   Importance: Undecided => High

** Changed in: linux (Ubuntu Bionic)
   Status: Incomplete => Triaged

** Changed in: linux (Ubuntu Focal)
   Importance: Undecided => High

** Changed in: linux (Ubuntu Focal)
   Status: Incomplete => Triaged

** Changed in: nvidia-graphics-drivers-450 (Ubuntu Bionic)
   Importance: Medium => High

** Changed in: nvidia-graphics-drivers-450 (Ubuntu Focal)
   Importance: Medium => High

** Changed in: nvidia-graphics-drivers-450-server (Ubuntu Bionic)
   Importance: Medium => High

** Changed in: nvidia-graphics-drivers-450-server (Ubuntu Focal)
   Importance: Medium => High

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1887674

Title:
  Introduce the new NVIDIA 450-server and the 450 UDA series

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1887674/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1887674] Re: Introduce the new NVIDIA 450-server and the 450 UDA series

2020-08-26 Thread Alberto Milone
** Also affects: linux (Ubuntu)
   Importance: Undecided
   Status: New

** Also affects: linux-restricted-modules (Ubuntu)
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1887674

Title:
  Introduce the new NVIDIA 450-server and the 450 UDA series

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1887674/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1885087] Re: Can't keep brightness value after reboot/poweroff in some nvidia gfx

2020-08-20 Thread Alberto Milone
** Package changed: nvidia-graphics-drivers-440 (Ubuntu) => nvidia-
graphics-drivers-450 (Ubuntu)

** Changed in: nvidia-graphics-drivers-450 (Ubuntu)
   Importance: Undecided => High

** Changed in: nvidia-graphics-drivers-450 (Ubuntu)
   Status: Triaged => In Progress

** Changed in: nvidia-graphics-drivers-450 (Ubuntu Focal)
   Status: Triaged => In Progress

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1885087

Title:
  Can't keep brightness value after reboot/poweroff in some nvidia gfx

To manage notifications about this bug go to:
https://bugs.launchpad.net/oem-priority/+bug/1885087/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1891183] [NEW] the new -server drivers break nvidia-detector

2020-08-11 Thread Alberto Milone
Public bug reported:

Calling nvidia-detector, fails when the new -server series are available
in the archive:

nvidia-detector
Traceback (most recent call last):
  File "/usr/bin/nvidia-detector", line 8, in 
a = NvidiaDetection(printonly=True, verbose=False)
  File "/usr/lib/python3/dist-packages/NvidiaDetector/nvidiadetector.py", line 
73, in __init__
self.getData()
  File "/usr/lib/python3/dist-packages/NvidiaDetector/nvidiadetector.py", line 
163, in getData
driver_version = self.__get_value_from_name(stripped_package_name)
  File "/usr/lib/python3/dist-packages/NvidiaDetector/nvidiadetector.py", line 
92, in __get_value_from_name
v = int(name)

** Affects: ubuntu-drivers-common (Ubuntu)
 Importance: Medium
 Assignee: Alberto Milone (albertomilone)
 Status: In Progress

** Affects: ubuntu-drivers-common (Ubuntu Bionic)
 Importance: Medium
 Assignee: Alberto Milone (albertomilone)
 Status: In Progress

** Affects: ubuntu-drivers-common (Ubuntu Focal)
 Importance: Medium
 Assignee: Alberto Milone (albertomilone)
 Status: In Progress

** Also affects: ubuntu-drivers-common (Ubuntu Focal)
   Importance: Undecided
   Status: New

** Also affects: ubuntu-drivers-common (Ubuntu Bionic)
   Importance: Undecided
   Status: New

** Changed in: ubuntu-drivers-common (Ubuntu)
 Assignee: (unassigned) => Alberto Milone (albertomilone)

** Changed in: ubuntu-drivers-common (Ubuntu Bionic)
     Assignee: (unassigned) => Alberto Milone (albertomilone)

** Changed in: ubuntu-drivers-common (Ubuntu Focal)
 Assignee: (unassigned) => Alberto Milone (albertomilone)

** Changed in: ubuntu-drivers-common (Ubuntu)
   Status: New => In Progress

** Changed in: ubuntu-drivers-common (Ubuntu Bionic)
   Status: New => In Progress

** Changed in: ubuntu-drivers-common (Ubuntu Focal)
   Status: New => In Progress

** Changed in: ubuntu-drivers-common (Ubuntu)
   Importance: Undecided => Medium

** Changed in: ubuntu-drivers-common (Ubuntu Bionic)
   Importance: Undecided => Medium

** Changed in: ubuntu-drivers-common (Ubuntu Focal)
   Importance: Undecided => Medium

** Description changed:

- Calling nvidia-detector (which is only meant to detect obsolete
- drivers), fails when the new -server series are available in the
- archive:
+ Calling nvidia-detector, fails when the new -server series are available
+ in the archive:
  
- nvidia-detector 
+ nvidia-detector
  Traceback (most recent call last):
-   File "/usr/bin/nvidia-detector", line 8, in 
- a = NvidiaDetection(printonly=True, verbose=False)
-   File "/usr/lib/python3/dist-packages/NvidiaDetector/nvidiadetector.py", 
line 73, in __init__
- self.getData()
-   File "/usr/lib/python3/dist-packages/NvidiaDetector/nvidiadetector.py", 
line 163, in getData
- driver_version = self.__get_value_from_name(stripped_package_name)
-   File "/usr/lib/python3/dist-packages/NvidiaDetector/nvidiadetector.py", 
line 92, in __get_value_from_name
- v = int(name)
+   File "/usr/bin/nvidia-detector", line 8, in 
+ a = NvidiaDetection(printonly=True, verbose=False)
+   File "/usr/lib/python3/dist-packages/NvidiaDetector/nvidiadetector.py", 
line 73, in __init__
+ self.getData()
+   File "/usr/lib/python3/dist-packages/NvidiaDetector/nvidiadetector.py", 
line 163, in getData
+ driver_version = self.__get_value_from_name(stripped_package_name)
+   File "/usr/lib/python3/dist-packages/NvidiaDetector/nvidiadetector.py", 
line 92, in __get_value_from_name
+ v = int(name)

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1891183

Title:
  the new -server drivers break nvidia-detector

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-drivers-common/+bug/1891183/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1891148] Re: /usr/bin/ubuntu-drivers:apt_pkg.Error:/usr/bin/ubuntu-drivers@434:__call__:main:invoke:invoke:invoke:new_func:invoke:devices:command_devices:system_device_drivers:__init__:open

2020-08-11 Thread Alberto Milone
** Also affects: ubuntu-drivers-common (Ubuntu Focal)
   Importance: Undecided
   Status: New

** Also affects: ubuntu-drivers-common (Ubuntu Bionic)
   Importance: Undecided
   Status: New

** Changed in: ubuntu-drivers-common (Ubuntu Bionic)
   Importance: Undecided => Medium

** Changed in: ubuntu-drivers-common (Ubuntu Bionic)
 Assignee: (unassigned) => Alberto Milone (albertomilone)

** Changed in: ubuntu-drivers-common (Ubuntu Focal)
   Importance: Undecided => Medium

** Changed in: ubuntu-drivers-common (Ubuntu Focal)
 Assignee: (unassigned) => Alberto Milone (albertomilone)

** Changed in: ubuntu-drivers-common (Ubuntu Bionic)
   Status: New => In Progress

** Changed in: ubuntu-drivers-common (Ubuntu Focal)
   Status: New => In Progress

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1891148

Title:
  /usr/bin/ubuntu-drivers:apt_pkg.Error:/usr/bin/ubuntu-
  
drivers@434:__call__:main:invoke:invoke:invoke:new_func:invoke:devices:command_devices:system_device_drivers:__init__:open

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-drivers-common/+bug/1891148/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1891148] Re: /usr/bin/ubuntu-drivers:apt_pkg.Error:/usr/bin/ubuntu-drivers@434:__call__:main:invoke:invoke:invoke:new_func:invoke:devices:command_devices:system_device_drivers:__init__:open

2020-08-11 Thread Alberto Milone
** Changed in: ubuntu-drivers-common (Ubuntu)
 Assignee: (unassigned) => Alberto Milone (albertomilone)

** Changed in: ubuntu-drivers-common (Ubuntu)
   Importance: Undecided => Medium

** Changed in: ubuntu-drivers-common (Ubuntu)
   Status: New => In Progress

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1891148

Title:
  /usr/bin/ubuntu-drivers:apt_pkg.Error:/usr/bin/ubuntu-
  
drivers@434:__call__:main:invoke:invoke:invoke:new_func:invoke:devices:command_devices:system_device_drivers:__init__:open

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-drivers-common/+bug/1891148/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1876159] Re: package nvidia-340 (not installed) failed to install/upgrade: tentative de remplacement de « /lib/udev/rules.d/71-nvidia.rules », qui appartient aussi au paquet nvidia-kernel-common-

2020-08-10 Thread Alberto Milone
*** This bug is a duplicate of bug 1768499 ***
https://bugs.launchpad.net/bugs/1768499

** This bug has been marked a duplicate of bug 1768499
   package nvidia-340 (not installed) failed to install/upgrade: trying to 
overwrite '/lib/udev/rules.d/71-nvidia.rules', which is also in package 
nvidia-kernel-common-390 390.48-0ubuntu3

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1876159

Title:
  package nvidia-340 (not installed) failed to install/upgrade:
  tentative de remplacement de « /lib/udev/rules.d/71-nvidia.rules »,
  qui appartient aussi au paquet nvidia-kernel-common-390
  390.132-0ubuntu2

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-340/+bug/1876159/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1768499] Re: package nvidia-340 (not installed) failed to install/upgrade: trying to overwrite '/lib/udev/rules.d/71-nvidia.rules', which is also in package nvidia-kernel-common-390 390.48-0ubunt

2020-08-10 Thread Alberto Milone
** Changed in: nvidia-graphics-drivers-340 (Ubuntu)
 Assignee: (unassigned) => Alberto Milone (albertomilone)

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1768499

Title:
  package nvidia-340 (not installed) failed to install/upgrade: trying
  to overwrite '/lib/udev/rules.d/71-nvidia.rules', which is also in
  package nvidia-kernel-common-390 390.48-0ubuntu3

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-340/+bug/1768499/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1889181] Re: ubuntu-drivers: fails with the deprecated autoinstall argument

2020-07-28 Thread Alberto Milone
"ubuntu-drivers autoinstall" succeeded without errors here, and it
installed the correct driver (nvidia-driver-440).

:~$ apt-cache policy ubuntu-drivers-common
ubuntu-drivers-common:
  Installed: 1:0.8.4~0.20.04.3
  Candidate: 1:0.8.4~0.20.04.3
  Version table:
 *** 1:0.8.4~0.20.04.3 400
400 http://archive.ubuntu.com/ubuntu focal-proposed/main amd64 Packages
100 /var/lib/dpkg/status
 1:0.8.4~0.20.04.2 500
500 http://it.archive.ubuntu.com/ubuntu focal-updates/main amd64 
Packages
 1:0.8.1 500
500 http://it.archive.ubuntu.com/ubuntu focal/main amd64 Packages


=== matching driver packages ===
nvidia-driver-435: installed:available: 435.21-0ubuntu7  [distro]  
non-free  modalias: pci:v10DEd1F11sv1028sd08EAbc03sc00i00  
path: /sys/devices/pci:00/:00:01.0/:01:00.0  vendor: NVIDIA 
Corporation  model: TU106M [GeForce RTX 2060 Mobile] 
nvidia-driver-418-server: installed:available: 
418.152.00-0ubuntu0.20.04.1  [distro]  non-free  modalias: 
pci:v10DEd1F11sv1028sd08EAbc03sc00i00  path: 
/sys/devices/pci:00/:00:01.0/:01:00.0  vendor: NVIDIA Corporation  
model: TU106M [GeForce RTX 2060 Mobile] 
nvidia-driver-440-server: installed:available: 
440.95.01-0ubuntu0.20.04.1  [distro]  non-free  modalias: 
pci:v10DEd1F11sv1028sd08EAbc03sc00i00  path: 
/sys/devices/pci:00/:00:01.0/:01:00.0  vendor: NVIDIA Corporation  
model: TU106M [GeForce RTX 2060 Mobile] 
nvidia-driver-440: installed: 440.100-0ubuntu0.20.04.1   available: 
440.100-0ubuntu0.20.04.1 (auto-install)  [distro]  non-free  modalias: 
pci:v10DEd1F11sv1028sd08EAbc03sc00i00  path: 
/sys/devices/pci:00/:00:01.0/:01:00.0  vendor: NVIDIA Corporation  
model: TU106M [GeForce RTX 2060 Mobile]

** Tags removed: verification-needed verification-needed-focal
** Tags added: verification-done verification-done-focal

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1889181

Title:
  ubuntu-drivers: fails with the deprecated autoinstall argument

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-drivers-common/+bug/1889181/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1889181] Re: ubuntu-drivers: fails with the deprecated autoinstall argument

2020-07-28 Thread Alberto Milone
** Description changed:

+ SRU Request:
+ 
+ [Test Case]
+ 
+ 1) Call the deprecated "ubuntu-drivers autoinstall".
+ 
+ 2) Enable the -proposed repository, and install the new ubuntu-drivers-
+ common (0.8.4~0.20.04.3).
+ 
+ 3) Check that the command does not crash ubuntu-drivers.
+ 
+ 3) Restart your computer, and see if everything works correctly when
+ accessing the desktop.
+ 
+ [Regression Potential]
+ Low. The autoinstall argument is deprecated, and we only keep it for backward 
compatibility with ubiquity.
+ 
+ 
  The Ubuntu Error Tracker has been receiving reports about a problem regarding 
ubuntu-drivers-common.  This problem was most recently seen with package 
version 1:0.8.5.2, the problem page at 
https://errors.ubuntu.com/problem/76b7e8c5d279fa00ea08b6d04c1e459fec30e02b 
contains more details, including versions of packages affected, stacktrace or 
traceback, and individual crash reports.
  If you do not have access to the Ubuntu Error Tracker and are a software 
developer, you can request it at http://forms.canonical.com/reports/.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1889181

Title:
  ubuntu-drivers: fails with the deprecated autoinstall argument

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-drivers-common/+bug/1889181/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1889181] Re: ubuntu-drivers: fails with the deprecated autoinstall argument

2020-07-28 Thread Alberto Milone
** Summary changed:

- 
/usr/bin/ubuntu-drivers:TypeError:/usr/bin/ubuntu-drivers@434:__call__:main:invoke:invoke:invoke:new_func:invoke:autoinstall:__call__:main
+ ubuntu-drivers: fails with the deprecated autoinstall argument

** Also affects: ubuntu-drivers-common (Ubuntu Focal)
   Importance: Undecided
   Status: New

** Changed in: ubuntu-drivers-common (Ubuntu)
 Assignee: (unassigned) => Alberto Milone (albertomilone)

** Changed in: ubuntu-drivers-common (Ubuntu Focal)
 Assignee: (unassigned) => Alberto Milone (albertomilone)

** Changed in: ubuntu-drivers-common (Ubuntu)
   Importance: Undecided => High

** Changed in: ubuntu-drivers-common (Ubuntu Focal)
   Importance: Undecided => High

** Changed in: ubuntu-drivers-common (Ubuntu)
   Status: New => In Progress

** Changed in: ubuntu-drivers-common (Ubuntu Focal)
   Status: New => In Progress

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1889181

Title:
  ubuntu-drivers: fails with the deprecated autoinstall argument

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-drivers-common/+bug/1889181/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1881586] Re: Add support for the new NVIDIA -server driver series

2020-07-27 Thread Alberto Milone
Calling "ubuntu-drivers install" picks the correct UDA driver. I also
tested specifying the driver manually, with "ubuntu-drivers install
nvidia:440-server", and I got the correct driver again.

:~$ apt-cache policy ubuntu-drivers-common
ubuntu-drivers-common:
  Installed: 1:0.8.4~0.20.04.2
  Candidate: 1:0.8.4~0.20.04.2
  Version table:
 *** 1:0.8.4~0.20.04.2 400
400 http://archive.ubuntu.com/ubuntu focal-proposed/main amd64 Packages
100 /var/lib/dpkg/status
 1:0.8.1.1 500
500 http://it.archive.ubuntu.com/ubuntu focal-updates/main amd64 
Packages
 1:0.8.1 500
500 http://it.archive.ubuntu.com/ubuntu focal/main amd64 Packages
 1:0.8.1~ppa3 500
500 http://ppa.launchpad.net/albertomilone/u-d-c-release/ubuntu 
focal/main amd64 Packages

:~$ apt-cache policy dpkg-dev
dpkg-dev:
  Installed: (none)
  Candidate: 1.19.7ubuntu3
  Version table:
 1.19.7ubuntu3 500
500 http://it.archive.ubuntu.com/ubuntu focal/main amd64 Packages
500 http://it.archive.ubuntu.com/ubuntu focal/main i386 Packages
100 /var/lib/dpkg/status


:~$ prime-select query
nvidia

:~$ nvidia-smi
Mon Jul 27 18:16:39 2020   
+-+
| NVIDIA-SMI 440.95.01Driver Version: 440.95.01CUDA Version: 10.2 |
|---+--+--+
| GPU  NamePersistence-M| Bus-IdDisp.A | Volatile Uncorr. ECC |
| Fan  Temp  Perf  Pwr:Usage/Cap| Memory-Usage | GPU-Util  Compute M. |
|===+==+==|
|   0  GeForce RTX 2060Off  | :01:00.0 Off |  N/A |
| N/A   44CP8 3W /  N/A |452MiB /  5934MiB |  0%  Default |
+---+--+--+
   
+-+
| Processes:   GPU Memory |
|  GPU   PID   Type   Process name Usage  |
|=|
|0  1107  G   /usr/lib/xorg/Xorg   134MiB |
|0  1656  G   /usr/lib/xorg/Xorg   135MiB |
|0  1906  G   /usr/bin/gnome-shell 165MiB |
+-+

** Tags removed: verification-needed verification-needed-focal
** Tags added: verification-done verification-done-focal

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1881586

Title:
  Add support for the new NVIDIA -server driver series

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-drivers-common/+bug/1881586/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1880564] Re: ubuntu-drivers-common now pulls in build tools on end-user systems

2020-07-27 Thread Alberto Milone
1:0.8.4~0.20.04.2 solves the problem, and LP: #1875339 is definitely
fixed too:

:~$ apt-cache policy ubuntu-drivers-common
ubuntu-drivers-common:
  Installed: 1:0.8.4~0.20.04.2
  Candidate: 1:0.8.4~0.20.04.2
  Version table:
 *** 1:0.8.4~0.20.04.2 400
400 http://archive.ubuntu.com/ubuntu focal-proposed/main amd64 Packages
100 /var/lib/dpkg/status
 1:0.8.1.1 500
500 http://it.archive.ubuntu.com/ubuntu focal-updates/main amd64 
Packages
 1:0.8.1 500
500 http://it.archive.ubuntu.com/ubuntu focal/main amd64 Packages
 1:0.8.1~ppa3 500
500 http://ppa.launchpad.net/albertomilone/u-d-c-release/ubuntu 
focal/main amd64 Packages

:~$ apt-cache policy dpkg-dev
dpkg-dev:
  Installed: (none)
  Candidate: 1.19.7ubuntu3
  Version table:
 1.19.7ubuntu3 500
500 http://it.archive.ubuntu.com/ubuntu focal/main amd64 Packages
500 http://it.archive.ubuntu.com/ubuntu focal/main i386 Packages
100 /var/lib/dpkg/status


:~$ prime-select query
nvidia

:~$ nvidia-smi
Mon Jul 27 18:16:39 2020   
+-+
| NVIDIA-SMI 440.95.01Driver Version: 440.95.01CUDA Version: 10.2 |
|---+--+--+
| GPU  NamePersistence-M| Bus-IdDisp.A | Volatile Uncorr. ECC |
| Fan  Temp  Perf  Pwr:Usage/Cap| Memory-Usage | GPU-Util  Compute M. |
|===+==+==|
|   0  GeForce RTX 2060Off  | :01:00.0 Off |  N/A |
| N/A   44CP8 3W /  N/A |452MiB /  5934MiB |  0%  Default |
+---+--+--+
   
+-+
| Processes:   GPU Memory |
|  GPU   PID   Type   Process name Usage  |
|=|
|0  1107  G   /usr/lib/xorg/Xorg   134MiB |
|0  1656  G   /usr/lib/xorg/Xorg   135MiB |
|0  1906  G   /usr/bin/gnome-shell 165MiB |
+-+


** Tags removed: verification-needed verification-needed-focal
** Tags added: verification-done verification-done-focal

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1880564

Title:
  ubuntu-drivers-common now pulls in build tools on end-user systems

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-drivers-common/+bug/1880564/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1874874] Re: Focal detects wrong driver version 440 for NVIDIA GTX 550

2020-07-22 Thread Alberto Milone
what's the output of the following command?

apt-cache policy nvidia-driver-440

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1874874

Title:
  Focal detects wrong driver version 440 for NVIDIA GTX 550

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-440/+bug/1874874/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1887674] Re: Introduce the new NVIDIA 450-server and the 450 UDA series

2020-07-21 Thread Alberto Milone
** Changed in: nvidia-graphics-drivers-450 (Ubuntu Bionic)
   Importance: Undecided => Medium

** Changed in: nvidia-graphics-drivers-450 (Ubuntu Focal)
   Importance: Undecided => Medium

** Changed in: nvidia-graphics-drivers-450-server (Ubuntu Bionic)
   Importance: Undecided => Medium

** Changed in: nvidia-graphics-drivers-450-server (Ubuntu Focal)
   Importance: Undecided => Medium

** Changed in: nvidia-graphics-drivers-450 (Ubuntu Bionic)
   Status: New => In Progress

** Changed in: nvidia-graphics-drivers-450 (Ubuntu Focal)
   Status: New => In Progress

** Changed in: nvidia-graphics-drivers-450-server (Ubuntu Bionic)
   Status: New => In Progress

** Changed in: nvidia-graphics-drivers-450-server (Ubuntu Focal)
   Status: New => In Progress

** Changed in: nvidia-graphics-drivers-450 (Ubuntu Bionic)
 Assignee: (unassigned) => Alberto Milone (albertomilone)

** Changed in: nvidia-graphics-drivers-450 (Ubuntu Focal)
 Assignee: (unassigned) => Alberto Milone (albertomilone)

** Changed in: nvidia-graphics-drivers-450-server (Ubuntu Bionic)
 Assignee: (unassigned) => Alberto Milone (albertomilone)

** Changed in: nvidia-graphics-drivers-450-server (Ubuntu Focal)
 Assignee: (unassigned) => Alberto Milone (albertomilone)

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1887674

Title:
  Introduce the new NVIDIA 450-server and the 450 UDA series

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-450/+bug/1887674/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1887674] Re: Introduce the new NVIDIA 450-server and the 450 UDA series

2020-07-21 Thread Alberto Milone
** Also affects: nvidia-graphics-drivers-450 (Ubuntu Focal)
   Importance: Undecided
   Status: New

** Also affects: nvidia-graphics-drivers-450-server (Ubuntu Focal)
   Importance: Undecided
   Status: New

** Also affects: nvidia-graphics-drivers-450 (Ubuntu Bionic)
   Importance: Undecided
   Status: New

** Also affects: nvidia-graphics-drivers-450-server (Ubuntu Bionic)
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1887674

Title:
  Introduce the new NVIDIA 450-server and the 450 UDA series

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-450/+bug/1887674/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1882093] Re: CVE-2020-{5963|5967} NVIDIA

2020-07-20 Thread Alberto Milone
The results look good to me. The only case that looks like a failure
doesn't really have the nvidia modules loaded, so it's ok.

** Also affects: nvidia-graphics-drivers-440-server (Ubuntu)
   Importance: Undecided
   Status: New

** Changed in: nvidia-graphics-drivers-440-server (Ubuntu Bionic)
   Importance: Undecided => High

** Changed in: nvidia-graphics-drivers-440-server (Ubuntu Bionic)
   Status: New => Fix Committed

** Changed in: nvidia-graphics-drivers-440-server (Ubuntu Bionic)
 Assignee: (unassigned) => Alberto Milone (albertomilone)

** Changed in: nvidia-graphics-drivers-440-server (Ubuntu Focal)
   Importance: Undecided => High

** Changed in: nvidia-graphics-drivers-440-server (Ubuntu Focal)
   Status: New => Fix Committed

** Changed in: nvidia-graphics-drivers-440-server (Ubuntu Focal)
 Assignee: (unassigned) => Alberto Milone (albertomilone)

** No longer affects: nvidia-graphics-drivers-440-server (Ubuntu Eoan)

** Tags removed: verification-needed verification-needed-bionic
** Tags added: verification-done verification-done-bionic

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1882093

Title:
  CVE-2020-{5963|5967} NVIDIA

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-390/+bug/1882093/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1887814] Re: 32-bit files not included in nvidia-driver-450

2020-07-20 Thread Alberto Milone
This is fixed now.

** Changed in: nvidia-graphics-drivers-450 (Ubuntu)
   Status: Confirmed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1887814

Title:
  32-bit files not included in nvidia-driver-450

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-450/+bug/1887814/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1881137] Re: Introduce the new NVIDIA 418-server and 440-server series, and update the current NVIDIA drivers

2020-07-20 Thread Alberto Milone
The results look good to me. The only case that looks like a failure
doesn't really have the nvidia modules loaded, so it's ok.

** Tags removed: verification-needed verification-needed-bionic 
verification-needed-focal
** Tags added: verification-done verification-done-bionic 
verification-done-focal

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1881137

Title:
  Introduce the new NVIDIA 418-server and 440-server series, and update
  the current NVIDIA drivers

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1881137/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1884060] Re: nvidia-graphics-drivers-435 435.21-0ubuntu0.18.04.2 ADT test failure with 5.4 kernels in Bionic

2020-07-17 Thread Alberto Milone
** Changed in: nvidia-graphics-drivers-435 (Ubuntu Bionic)
   Status: Confirmed => Fix Committed

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1884060

Title:
  nvidia-graphics-drivers-435 435.21-0ubuntu0.18.04.2 ADT test failure
  with 5.4 kernels in Bionic

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-435/+bug/1884060/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1887674] [NEW] Introduce the new NVIDIA 450-server and the 450 UDA series

2020-07-15 Thread Alberto Milone
Public bug reported:

[Impact]
These releases provide both bug fixes and new features, and we would like to
make sure all of our users have access to these improvements.

See the changelog entry below for a full list of changes and bugs.

[Test Case]
The following development and SRU process was followed:
https://wiki.ubuntu.com/NVidiaUpdates

Certification test suite must pass on a range of hardware:
https://git.launchpad.net/plainbox-provider-sru/tree/units/sru.pxu

The QA team that executed the tests will be in charge of attaching the
artifacts and console output of the appropriate run to the bug. nVidia
maintainers team members will not mark ‘verification-done’ until this
has happened.

[Regression Potential]
In order to mitigate the regression potential, the results of the
aforementioned system level tests are attached to this bug.

[Discussion]

** Affects: nvidia-graphics-drivers-450 (Ubuntu)
 Importance: High
 Assignee: Alberto Milone (albertomilone)
 Status: In Progress

** Affects: nvidia-graphics-drivers-450-server (Ubuntu)
 Importance: High
 Assignee: Alberto Milone (albertomilone)
 Status: In Progress

** Package changed: nvidia-graphics-drivers-440 (Ubuntu) => nvidia-
graphics-drivers-450 (Ubuntu)

** Also affects: nvidia-graphics-drivers-450-server (Ubuntu)
   Importance: Undecided
   Status: New

** Changed in: nvidia-graphics-drivers-450 (Ubuntu)
   Status: New => In Progress

** Changed in: nvidia-graphics-drivers-450-server (Ubuntu)
   Status: New => In Progress

** Changed in: nvidia-graphics-drivers-450 (Ubuntu)
   Importance: Undecided => High

** Changed in: nvidia-graphics-drivers-450-server (Ubuntu)
   Importance: Undecided => High

** Changed in: nvidia-graphics-drivers-450-server (Ubuntu)
 Assignee: (unassigned) => Alberto Milone (albertomilone)

** Changed in: nvidia-graphics-drivers-450 (Ubuntu)
 Assignee: (unassigned) => Alberto Milone (albertomilone)

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1887674

Title:
  Introduce the new NVIDIA 450-server and the 450 UDA series

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-450/+bug/1887674/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1884060] Re: nvidia-graphics-drivers-435 435.21-0ubuntu0.18.04.2 ADT test failure with 5.4 kernels in Bionic

2020-07-15 Thread Alberto Milone
I don't think this should block the SRU.

** Tags removed: verification-needed verification-needed-bionic
** Tags added: verification-done verification-done-bionic

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1884060

Title:
  nvidia-graphics-drivers-435 435.21-0ubuntu0.18.04.2 ADT test failure
  with 5.4 kernels in Bionic

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-435/+bug/1884060/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1884060] Re: nvidia-graphics-drivers-435 435.21-0ubuntu0.18.04.2 ADT test failure with 5.4 kernels in Bionic

2020-07-15 Thread Alberto Milone
The GPU falling off bus, in this case, looks like something that is
hardware specific, not necessarily related to the change in this SRU.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1884060

Title:
  nvidia-graphics-drivers-435 435.21-0ubuntu0.18.04.2 ADT test failure
  with 5.4 kernels in Bionic

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-435/+bug/1884060/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1886795] [NEW] Backport ubuntu-driver-common 0.8.4

2020-07-08 Thread Alberto Milone
Public bug reported:

Backport ubuntu-driver-common 0.8.4 to Bionic

** Affects: ubuntu-drivers-common (Ubuntu)
 Importance: High
 Assignee: Alberto Milone (albertomilone)
 Status: Invalid

** Affects: ubuntu-drivers-common (Ubuntu Bionic)
 Importance: High
 Assignee: Alberto Milone (albertomilone)
 Status: Triaged

** Also affects: ubuntu-drivers-common (Ubuntu Bionic)
   Importance: Undecided
   Status: New

** Changed in: ubuntu-drivers-common (Ubuntu)
   Status: Triaged => Invalid

** Changed in: ubuntu-drivers-common (Ubuntu Bionic)
   Status: New => Triaged

** Changed in: ubuntu-drivers-common (Ubuntu Bionic)
   Importance: Undecided => High

** Changed in: ubuntu-drivers-common (Ubuntu Bionic)
 Assignee: (unassigned) => Alberto Milone (albertomilone)

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1886795

Title:
  Backport ubuntu-driver-common 0.8.4

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-drivers-common/+bug/1886795/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1881586] Re: Add support for the new NVIDIA -server driver series

2020-07-06 Thread Alberto Milone
** Description changed:

  SRU Request:
+ 
+ [Impact]
+ 
+ The ubuntu drivers tool requires support for the new NVIDIA -server
+ series (introduced by LP: #1881137)
+ 
+ As already made possible when passing in the "--gpgpu" to the "install"
+ argument, ubuntu drivers should be consistent and allow specifying a
+ driver series regardless of whether the --gpgpu argument is used or not.
+ The new parser code takes care of this.
  
  [Test Case]
  
  1) Enable the -proposed repository, and install the new ubuntu-drivers-
  common (0.8.4~0.20.04.1).
  
  2) Check that specifying an NVIDIA driver flavour works (e.g. "ubuntu-
  drivers install nvidia:440", if your card is supported by the driver)
  
  3) Restart your computer, and see if everything works correctly when
  accessing the desktop.
  
  4) Remove all the nvidia drivers:
  sudo apt-get --purge remove '*nvidia*'
  
  5) Test the auto-detection:
  ubuntu-drivers install
  
  6) Restart your computer, and see if everything works correctly when
  accessing the desktop.
  
  7) Check that the correct driver was installed for your card:
  ubuntu-drivers debug
  
  [Regression Potential]
  Medium-Low. The new code should not affect the current functioning of the 
ubuntu-drivers tool.
- 
- __
- Add support for the new NVIDIA -server series to the ubuntu-drivers tool.
- 
- Also add support for specifying a driver series (as already possible
- with the --gpgpu argument, for computing use cases).

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1881586

Title:
  Add support for the new NVIDIA -server driver series

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-drivers-common/+bug/1881586/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1880564] Re: ubuntu-drivers-common now pulls in build tools on end-user systems

2020-07-02 Thread Alberto Milone
@Robie:

1) "Do not print an error when linux-modules cannot be found"
This prevents the ubuntu-drivers tools from being misleading, hoping that 
people won't file bug reports such as LP: #1882402

2) "Rework the argument parser." - This is a feature that was requested
by the Foundations team. It makes the "install" behave consistently with
or without "--gpgpu" parameter is used (i.e. you can pass in the driver
that you need, as an option). For example "ubuntu-drivers install" did
not accept any extra arguments, whereas "ubuntu-drivers install --gpgpu"
(e.g. ubuntu-drivers install --gpgpu nvidia) did. Now both do.

I am fine having one more bug report about it, but I'd rather not have
to follow many bug reports for the same SRU, if possible.

3) "Add support for the new -server NVIDIA drivers" - it's LP: #1881586

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1880564

Title:
  ubuntu-drivers-common now pulls in build tools on end-user systems

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-drivers-common/+bug/1880564/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1885087] Re: Can't keep brightness value after reboot/poweroff in some nvidia gfx

2020-06-30 Thread Alberto Milone
** Also affects: nvidia-graphics-drivers-440 (Ubuntu Focal)
   Importance: Undecided
   Status: New

** Changed in: nvidia-graphics-drivers-440 (Ubuntu Focal)
 Assignee: (unassigned) => Alberto Milone (albertomilone)

** Changed in: nvidia-graphics-drivers-440 (Ubuntu)
 Assignee: (unassigned) => Alberto Milone (albertomilone)

** Changed in: nvidia-graphics-drivers-440 (Ubuntu)
   Status: New => Triaged

** Changed in: nvidia-graphics-drivers-440 (Ubuntu Focal)
   Status: New => Triaged

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1885087

Title:
  Can't keep brightness value after reboot/poweroff in some nvidia gfx

To manage notifications about this bug go to:
https://bugs.launchpad.net/oem-priority/+bug/1885087/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1881586] Re: Add support for the new NVIDIA -server driver series

2020-06-23 Thread Alberto Milone
** Description changed:

- Add support for the new NVIDIA -server series to the ubuntu-drivers
- tool.
+ SRU Request:
+ 
+ [Test Case]
+ 
+ 1) Enable the -proposed repository, and install the new ubuntu-drivers-
+ common (0.8.4~0.20.04.1).
+ 
+ 2) Check that specifying an NVIDIA driver flavour works (e.g. "ubuntu-
+ drivers install nvidia:440", if your card is supported by the driver)
+ 
+ 3) Restart your computer, and see if everything works correctly when
+ accessing the desktop.
+ 
+ 4) Remove all the nvidia drivers:
+ sudo apt-get --purge remove '*nvidia*'
+ 
+ 5) Test the auto-detection:
+ ubuntu-drivers install
+ 
+ 6) Restart your computer, and see if everything works correctly when
+ accessing the desktop.
+ 
+ 7) Check that the correct driver was installed for your card:
+ ubuntu-drivers debug
+ 
+ [Regression Potential]
+ Medium-Low. The new code should not affect the current functioning of the 
ubuntu-drivers tool.
+ 
+ __
+ Add support for the new NVIDIA -server series to the ubuntu-drivers tool.
  
  Also add support for specifying a driver series (as already possible
  with the --gpgpu argument, for computing use cases).

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1881586

Title:
  Add support for the new NVIDIA -server driver series

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-drivers-common/+bug/1881586/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1880564] Re: ubuntu-drivers-common now pulls in build tools on end-user systems

2020-06-23 Thread Alberto Milone
** Description changed:

- In bug 1875339, a depends on dpkg-dev was added. This is pulling in all
- of build-essential on upgrades (or just binutils and make and patch if
- you pass --no-install-recommends).
+ SRU Request:
+ 
+ [Test Case]
+ 
+ 1) Uninstall the dpkg-dev package.
+ 
+ 2) Enable the -proposed repository, and install the new ubuntu-drivers-
+ common (0.8.4~0.20.04.1).
+ 
+ 3) Check that the dpkg-dev package was not installed.
+ 
+ 3) Restart your computer, and see if everything works correctly when
+ accessing the desktop.
+ 
+ [Regression Potential]
+ Low. The new get_system_architecture() function is very small, and replaces 
dpkg-architecture for our use-case.
+ ___
+ In bug 1875339, a depends on dpkg-dev was added. This is pulling in all of 
build-essential on upgrades (or just binutils and make and patch if you pass 
--no-install-recommends).
  
  This needs to be reverted and fixed differently.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1880564

Title:
  ubuntu-drivers-common now pulls in build tools on end-user systems

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-drivers-common/+bug/1880564/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1884060] Re: nvidia-graphics-drivers-435 435.21-0ubuntu0.18.04.2 ADT test failure with 5.4 kernels in Bionic

2020-06-23 Thread Alberto Milone
** Description changed:

+ SRU Request:
+ 
+ [Test Case]
+ 1) Enable the -proposed repository, and install the new 435 NVIDIA driver 
(nvidia-graphics-drivers-435_435.21-0ubuntu0.18.04.3).
+ 
+ 2) Check that the kernel module can be built against the new kernel.
+ 
+ 3) Restart your computer, and see if everything works correctly when
+ accessing the desktop.
+ 
+ [Regression Potential]
+ Low. The update only backport fixes that are already in more recent stable 
Ubuntu releases.
+ __
  Testing failed on:
- amd64: 
https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-bionic/bionic/amd64/n/nvidia-graphics-drivers-435/20200617_180544_6a91a@/log.gz
+ amd64: 
https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-bionic/bionic/amd64/n/nvidia-graphics-drivers-435/20200617_180544_6a91a@/log.gz

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1884060

Title:
  nvidia-graphics-drivers-435 435.21-0ubuntu0.18.04.2 ADT test failure
  with 5.4 kernels in Bionic

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-435/+bug/1884060/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1884060] Re: nvidia-graphics-drivers-435 435.21-0ubuntu0.18.04.2 ADT test failure with 5.4 kernels in Bionic

2020-06-22 Thread Alberto Milone
** Changed in: nvidia-graphics-drivers-435 (Ubuntu Bionic)
   Status: Confirmed => In Progress

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1884060

Title:
  nvidia-graphics-drivers-435 435.21-0ubuntu0.18.04.2 ADT test failure
  with 5.4 kernels in Bionic

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-435/+bug/1884060/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1881586] [NEW] Add support for the new NVIDIA -server driver series

2020-06-01 Thread Alberto Milone
Public bug reported:

Add support for the new NVIDIA -server series to the ubuntu-drivers
tool.

Also add support for specifying a driver series (as already possible
with the --gpgpu argument, for computing use cases).

** Affects: ubuntu-drivers-common (Ubuntu)
 Importance: High
 Assignee: Alberto Milone (albertomilone)
 Status: In Progress

** Affects: ubuntu-drivers-common (Ubuntu Bionic)
 Importance: High
 Assignee: Alberto Milone (albertomilone)
 Status: In Progress

** Affects: ubuntu-drivers-common (Ubuntu Focal)
 Importance: High
 Assignee: Alberto Milone (albertomilone)
 Status: In Progress

** Also affects: ubuntu-drivers-common (Ubuntu Bionic)
   Importance: Undecided
   Status: New

** Also affects: ubuntu-drivers-common (Ubuntu Focal)
   Importance: Undecided
   Status: New

** Changed in: ubuntu-drivers-common (Ubuntu)
 Assignee: (unassigned) => Alberto Milone (albertomilone)

** Changed in: ubuntu-drivers-common (Ubuntu Bionic)
 Assignee: (unassigned) => Alberto Milone (albertomilone)

** Changed in: ubuntu-drivers-common (Ubuntu Focal)
 Assignee: (unassigned) => Alberto Milone (albertomilone)

** Changed in: ubuntu-drivers-common (Ubuntu)
   Status: New => In Progress

** Changed in: ubuntu-drivers-common (Ubuntu Bionic)
   Status: New => In Progress

** Changed in: ubuntu-drivers-common (Ubuntu Focal)
   Status: New => In Progress

** Changed in: ubuntu-drivers-common (Ubuntu)
   Importance: Undecided => High

** Changed in: ubuntu-drivers-common (Ubuntu Bionic)
   Importance: Undecided => High

** Changed in: ubuntu-drivers-common (Ubuntu Focal)
   Importance: Undecided => High

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1881586

Title:
  Add support for the new NVIDIA -server driver series

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-drivers-common/+bug/1881586/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1881137] Re: Introduce the new NVIDIA 418-server and 440-server series, and update the current NVIDIA drivers

2020-06-01 Thread Alberto Milone
** Also affects: ubuntu-drivers-common (Ubuntu)
   Importance: Undecided
   Status: New

** No longer affects: ubuntu-drivers-common (Ubuntu)

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1881137

Title:
  Introduce the new NVIDIA 418-server and 440-server series, and update
  the current NVIDIA drivers

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1881137/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1881137] Re: Introduce the new NVIDIA 418-server and 440-server series, and update the current NVIDIA drivers

2020-06-01 Thread Alberto Milone
** Description changed:

  [Impact]
  These releases provide both bug fixes and new features, and we would like to
  make sure all of our users have access to these improvements.
  
  See the changelog entry below for a full list of changes and bugs.
  
  [Test Case]
  The following development and SRU process was followed:
  https://wiki.ubuntu.com/NVidiaUpdates
  
  Certification test suite must pass on a range of hardware:
  https://git.launchpad.net/plainbox-provider-sru/tree/units/sru.pxu
  
  The QA team that executed the tests will be in charge of attaching the
  artifacts and console output of the appropriate run to the bug. nVidia
  maintainers team members will not mark ‘verification-done’ until this
  has happened.
  
  [Regression Potential]
  In order to mitigate the regression potential, the results of the
  aforementioned system level tests are attached to this bug.
  
  [Discussion]
  
  440.82:
    * New upstream release:
  - Added a workaround for Steam Play title DOOM Eternal, which
    overrides application requested memory locations, to ensure
    performance-critical resources be placed in video memory.
  - Allow presenting from queue families which only expose
    VK_QUEUE_COMPUTE_BIT when using XCB in addition to Xlib
    surfaces.
  - Fixed a bug that caused render-offloaded applications to crash
    on exit.
  - Fixed a driver installation failure on Linux kernel 5.6 release
    candidates, where the NVIDIA kernel module failed to build with
    error "implicit declaration of function 'timespec_to_ns'".
  - Fixed a driver installation failure on Linux kernel 5.6 release
    candidates, where the NVIDIA kernel module failed to build with
    error "implicit declaration of function 'getrawmonotonic'".
  - Fixed a driver installation failure on Linux kernel 5.6 release
    candidates, where the NVIDIA kernel module failed to build with
    error "implicit declaration of function 'timespec_to_ns'".
  - Fixed a driver installation failure on Linux kernel 5.6 release
    candidates, where the NVIDIA kernel module failed to build with
    error "implicit declaration of function 'getrawmonotonic'".
  - Fixed a driver installation failure on Linux kernel 5.6 release
    candidates, where the NVIDIA kernel module failed to build with
    error "implicit declaration of function 'getnstimeofday'".
  - Fixed a driver installation failure on Linux kernel 5.6 release
    candidates, where the NVIDIA kernel module failed to build with
    error "dereferencing pointer to incomplete type 'struct
    timeval'".
  - Fixed a driver installation failure on Linux kernel 5.6 release
    candidates, where the NVIDIA kernel module failed to build with
    error "implicit declaration of function 'jiffies_to_timespec'".
  - Fixed driver installation failure on Linux kernel 5.6 release
    candidates, where the NVIDIA kernel module failed to build with
    error "passing argument 4 of 'proc_create_data' from
    incompatible pointer type".
  
- 
  440.64.00:
-   * Initial release.
+   * Initial release.
  
  418.126.02
-   * Initial release.
+   * Initial release.
  
- 
- nvidia-settings (440.82-0ubuntu0.18.04.1):
-   * [TO BE COMPLETED]
+ nvidia-settings (440.82):
+   * New upstream release (LP: #1881137).

** Changed in: nvidia-graphics-drivers-440 (Ubuntu Bionic)
   Importance: Undecided => High

** Changed in: nvidia-graphics-drivers-440 (Ubuntu Bionic)
   Status: New => In Progress

** Changed in: nvidia-graphics-drivers-440 (Ubuntu Bionic)
 Assignee: (unassigned) => Alberto Milone (albertomilone)

** Changed in: nvidia-graphics-drivers-440 (Ubuntu)
   Status: In Progress => Invalid

** Changed in: nvidia-graphics-drivers-418-server (Ubuntu Bionic)
   Importance: Undecided => High

** Changed in: nvidia-graphics-drivers-418-server (Ubuntu Bionic)
   Status: New => In Progress

** Changed in: nvidia-graphics-drivers-418-server (Ubuntu Bionic)
 Assignee: (unassigned) => Alberto Milone (albertomilone)

** Changed in: linux (Ubuntu Bionic)
   Importance: Undecided => High

** Changed in: linux (Ubuntu Bionic)
   Status: Incomplete => In Progress

** Changed in: linux (Ubuntu Bionic)
 Assignee: (unassigned) => Alberto Milone (albertomilone)

** Changed in: linux (Ubuntu Focal)
   Importance: Undecided => High

** Changed in: linux (Ubuntu Focal)
       Status: Incomplete => In Progress

** Changed in: linux (Ubuntu Focal)
 Assignee: (unassigned) => Alberto Milone (albertomilone)

** Changed in: linux-restricted-modules (Ubuntu Bionic)
   Importance: Undecided => High

** Changed in: linux-restricted-modules (Ubuntu Bionic)
   Status: New => In Progress

** Changed in: linux-restricted-modules (Ubuntu Bionic)
 A

[Bug 1881137] Re: Introduce the new NVIDIA 418-server and 440-server series, and update the current NVIDIA drivers

2020-06-01 Thread Alberto Milone
** Also affects: nvidia-graphics-drivers-440-server (Ubuntu)
   Importance: Undecided
   Status: New

** Also affects: nvidia-graphics-drivers-418-server (Ubuntu)
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1881137

Title:
  Introduce the new NVIDIA 418-server and 440-server series, and update
  the current NVIDIA drivers

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1881137/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1881137] Re: Introduce the new NVIDIA 418-server and 440-server series, and update the current NVIDIA drivers

2020-05-29 Thread Alberto Milone
** Also affects: linux (Ubuntu Focal)
   Importance: Undecided
   Status: New

** Also affects: linux-restricted-modules (Ubuntu Focal)
   Importance: Undecided
   Status: New

** Also affects: nvidia-graphics-drivers-440 (Ubuntu Focal)
   Importance: Undecided
   Status: New

** Also affects: linux (Ubuntu Bionic)
   Importance: Undecided
   Status: New

** Also affects: linux-restricted-modules (Ubuntu Bionic)
   Importance: Undecided
   Status: New

** Also affects: nvidia-graphics-drivers-440 (Ubuntu Bionic)
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1881137

Title:
  Introduce the new NVIDIA 418-server and 440-server series, and update
  the current NVIDIA drivers

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1881137/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1881137] Re: Introduce the new NVIDIA 418-server and 440-server series, and update the current NVIDIA drivers

2020-05-29 Thread Alberto Milone
** Description changed:

  [Impact]
  These releases provide both bug fixes and new features, and we would like to
  make sure all of our users have access to these improvements.
  
  See the changelog entry below for a full list of changes and bugs.
  
  [Test Case]
  The following development and SRU process was followed:
  https://wiki.ubuntu.com/NVidiaUpdates
  
  Certification test suite must pass on a range of hardware:
  https://git.launchpad.net/plainbox-provider-sru/tree/units/sru.pxu
  
  The QA team that executed the tests will be in charge of attaching the
  artifacts and console output of the appropriate run to the bug. nVidia
  maintainers team members will not mark ‘verification-done’ until this
  has happened.
  
  [Regression Potential]
  In order to mitigate the regression potential, the results of the
  aforementioned system level tests are attached to this bug.
  
  [Discussion]
  
  440.82:
-   * [TO BE COMPLETED]
    * New upstream release:
  - Added a workaround for Steam Play title DOOM Eternal, which
    overrides application requested memory locations, to ensure
    performance-critical resources be placed in video memory.
  - Allow presenting from queue families which only expose
    VK_QUEUE_COMPUTE_BIT when using XCB in addition to Xlib
    surfaces.
  - Fixed a bug that caused render-offloaded applications to crash
    on exit.
  - Fixed a driver installation failure on Linux kernel 5.6 release
    candidates, where the NVIDIA kernel module failed to build with
    error "implicit declaration of function 'timespec_to_ns'".
  - Fixed a driver installation failure on Linux kernel 5.6 release
    candidates, where the NVIDIA kernel module failed to build with
    error "implicit declaration of function 'getrawmonotonic'".
  - Fixed a driver installation failure on Linux kernel 5.6 release
    candidates, where the NVIDIA kernel module failed to build with
    error "implicit declaration of function 'timespec_to_ns'".
  - Fixed a driver installation failure on Linux kernel 5.6 release
    candidates, where the NVIDIA kernel module failed to build with
    error "implicit declaration of function 'getrawmonotonic'".
  - Fixed a driver installation failure on Linux kernel 5.6 release
    candidates, where the NVIDIA kernel module failed to build with
    error "implicit declaration of function 'getnstimeofday'".
  - Fixed a driver installation failure on Linux kernel 5.6 release
    candidates, where the NVIDIA kernel module failed to build with
    error "dereferencing pointer to incomplete type 'struct
    timeval'".
  - Fixed a driver installation failure on Linux kernel 5.6 release
    candidates, where the NVIDIA kernel module failed to build with
    error "implicit declaration of function 'jiffies_to_timespec'".
  - Fixed driver installation failure on Linux kernel 5.6 release
    candidates, where the NVIDIA kernel module failed to build with
    error "passing argument 4 of 'proc_create_data' from
    incompatible pointer type".
  
- 440.82 - BIONIC
-   * New upstream release:
- - Added a workaround for Steam Play title DOOM Eternal, which
-   overrides application requested memory locations, to ensure
-   performance-critical resources be placed in video memory.
- - Allow presenting from queue families which only expose
-   VK_QUEUE_COMPUTE_BIT when using XCB in addition to Xlib
-   surfaces.
- - Fixed a bug that caused render-offloaded applications to crash
-   on exit.
- - Fixed a driver installation failure on Linux kernel 5.6 release
-   candidates, where the NVIDIA kernel module failed to build with
-   error "implicit declaration of function 'timespec_to_ns'".
- - Fixed a driver installation failure on Linux kernel 5.6 release
-   candidates, where the NVIDIA kernel module failed to build with
-   error "implicit declaration of function 'getrawmonotonic'".
- - Fixed a driver installation failure on Linux kernel 5.6 release
-   candidates, where the NVIDIA kernel module failed to build with
-   error "implicit declaration of function 'timespec_to_ns'".
- - Fixed a driver installation failure on Linux kernel 5.6 release
-   candidates, where the NVIDIA kernel module failed to build with
-   error "implicit declaration of function 'getrawmonotonic'".
- - Fixed a driver installation failure on Linux kernel 5.6 release
-   candidates, where the NVIDIA kernel module failed to build with
-   error "implicit declaration of function 'getnstimeofday'".
- - Fixed a driver installation failure on Linux kernel 5.6 release
-   candidates, where the NVIDIA kernel module failed to build with
-   error "dereferencing pointer to incomplete type 'struct
-   timeval'".
- - Fixed a driver installation failure on Linux kernel 5.6 release
-   

[Bug 1881137] Re: Introduce the new NVIDIA 418-server and 440-server series, and update the current NVIDIA drivers

2020-05-29 Thread Alberto Milone
** Description changed:

  [Impact]
  These releases provide both bug fixes and new features, and we would like to
  make sure all of our users have access to these improvements.
  
  See the changelog entry below for a full list of changes and bugs.
  
  [Test Case]
  The following development and SRU process was followed:
  https://wiki.ubuntu.com/NVidiaUpdates
  
  Certification test suite must pass on a range of hardware:
  https://git.launchpad.net/plainbox-provider-sru/tree/units/sru.pxu
  
  The QA team that executed the tests will be in charge of attaching the
  artifacts and console output of the appropriate run to the bug. nVidia
  maintainers team members will not mark ‘verification-done’ until this
  has happened.
  
  [Regression Potential]
  In order to mitigate the regression potential, the results of the
  aforementioned system level tests are attached to this bug.
  
  [Discussion]
  
  440.82:
-   * [TO BE COMPLETED]
+   * [TO BE COMPLETED]
+   * New upstream release:
+ - Added a workaround for Steam Play title DOOM Eternal, which
+   overrides application requested memory locations, to ensure
+   performance-critical resources be placed in video memory.
+ - Allow presenting from queue families which only expose
+   VK_QUEUE_COMPUTE_BIT when using XCB in addition to Xlib
+   surfaces.
+ - Fixed a bug that caused render-offloaded applications to crash
+   on exit.
+ - Fixed a driver installation failure on Linux kernel 5.6 release
+   candidates, where the NVIDIA kernel module failed to build with
+   error "implicit declaration of function 'timespec_to_ns'".
+ - Fixed a driver installation failure on Linux kernel 5.6 release
+   candidates, where the NVIDIA kernel module failed to build with
+   error "implicit declaration of function 'getrawmonotonic'".
+ - Fixed a driver installation failure on Linux kernel 5.6 release
+   candidates, where the NVIDIA kernel module failed to build with
+   error "implicit declaration of function 'timespec_to_ns'".
+ - Fixed a driver installation failure on Linux kernel 5.6 release
+   candidates, where the NVIDIA kernel module failed to build with
+   error "implicit declaration of function 'getrawmonotonic'".
+ - Fixed a driver installation failure on Linux kernel 5.6 release
+   candidates, where the NVIDIA kernel module failed to build with
+   error "implicit declaration of function 'getnstimeofday'".
+ - Fixed a driver installation failure on Linux kernel 5.6 release
+   candidates, where the NVIDIA kernel module failed to build with
+   error "dereferencing pointer to incomplete type 'struct
+   timeval'".
+ - Fixed a driver installation failure on Linux kernel 5.6 release
+   candidates, where the NVIDIA kernel module failed to build with
+   error "implicit declaration of function 'jiffies_to_timespec'".
+ - Fixed driver installation failure on Linux kernel 5.6 release
+   candidates, where the NVIDIA kernel module failed to build with
+   error "passing argument 4 of 'proc_create_data' from
+   incompatible pointer type".
+ 
+ 440.82 - BIONIC
* New upstream release:
  - Added a workaround for Steam Play title DOOM Eternal, which
overrides application requested memory locations, to ensure
performance-critical resources be placed in video memory.
  - Allow presenting from queue families which only expose
VK_QUEUE_COMPUTE_BIT when using XCB in addition to Xlib
surfaces.
  - Fixed a bug that caused render-offloaded applications to crash
on exit.
  - Fixed a driver installation failure on Linux kernel 5.6 release
candidates, where the NVIDIA kernel module failed to build with
error "implicit declaration of function 'timespec_to_ns'".
  - Fixed a driver installation failure on Linux kernel 5.6 release
candidates, where the NVIDIA kernel module failed to build with
error "implicit declaration of function 'getrawmonotonic'".
  - Fixed a driver installation failure on Linux kernel 5.6 release
candidates, where the NVIDIA kernel module failed to build with
error "implicit declaration of function 'timespec_to_ns'".
  - Fixed a driver installation failure on Linux kernel 5.6 release
candidates, where the NVIDIA kernel module failed to build with
error "implicit declaration of function 'getrawmonotonic'".
  - Fixed a driver installation failure on Linux kernel 5.6 release
candidates, where the NVIDIA kernel module failed to build with
error "implicit declaration of function 'getnstimeofday'".
  - Fixed a driver installation failure on Linux kernel 5.6 release
candidates, where the NVIDIA kernel module failed to build with
error "dereferencing pointer to incomplete type 'struct
timeval'".
  - Fixed a driver installation failure on Linux 

[Bug 1881137] [NEW] Introduce the new NVIDIA 418-server and 440-server series, and update the current NVIDIA drivers

2020-05-28 Thread Alberto Milone
Public bug reported:

[Impact]
These releases provide both bug fixes and new features, and we would like to
make sure all of our users have access to these improvements.

See the changelog entry below for a full list of changes and bugs.

[Test Case]
The following development and SRU process was followed:
https://wiki.ubuntu.com/NVidiaUpdates

Certification test suite must pass on a range of hardware:
https://git.launchpad.net/plainbox-provider-sru/tree/units/sru.pxu

The QA team that executed the tests will be in charge of attaching the
artifacts and console output of the appropriate run to the bug. nVidia
maintainers team members will not mark ‘verification-done’ until this
has happened.

[Regression Potential]
In order to mitigate the regression potential, the results of the
aforementioned system level tests are attached to this bug.

[Discussion]

440.82:
  * [TO BE COMPLETED]
  * New upstream release:
- Added a workaround for Steam Play title DOOM Eternal, which
  overrides application requested memory locations, to ensure
  performance-critical resources be placed in video memory.
- Allow presenting from queue families which only expose
  VK_QUEUE_COMPUTE_BIT when using XCB in addition to Xlib
  surfaces.
- Fixed a bug that caused render-offloaded applications to crash
  on exit.
- Fixed a driver installation failure on Linux kernel 5.6 release
  candidates, where the NVIDIA kernel module failed to build with
  error "implicit declaration of function 'timespec_to_ns'".
- Fixed a driver installation failure on Linux kernel 5.6 release
  candidates, where the NVIDIA kernel module failed to build with
  error "implicit declaration of function 'getrawmonotonic'".
- Fixed a driver installation failure on Linux kernel 5.6 release
  candidates, where the NVIDIA kernel module failed to build with
  error "implicit declaration of function 'timespec_to_ns'".
- Fixed a driver installation failure on Linux kernel 5.6 release
  candidates, where the NVIDIA kernel module failed to build with
  error "implicit declaration of function 'getrawmonotonic'".
- Fixed a driver installation failure on Linux kernel 5.6 release
  candidates, where the NVIDIA kernel module failed to build with
  error "implicit declaration of function 'getnstimeofday'".
- Fixed a driver installation failure on Linux kernel 5.6 release
  candidates, where the NVIDIA kernel module failed to build with
  error "dereferencing pointer to incomplete type 'struct
  timeval'".
- Fixed a driver installation failure on Linux kernel 5.6 release
  candidates, where the NVIDIA kernel module failed to build with
  error "implicit declaration of function 'jiffies_to_timespec'".
- Fixed driver installation failure on Linux kernel 5.6 release
  candidates, where the NVIDIA kernel module failed to build with
  error "passing argument 4 of 'proc_create_data' from
  incompatible pointer type".


435:
  * [TO BE COMPLETED]

390.132:
  * [TO BE COMPLETED]


nvidia-settings (440.82-0ubuntu0.18.04.1):
  * [TO BE COMPLETED]

** Affects: nvidia-graphics-drivers-440 (Ubuntu)
 Importance: High
 Assignee: Alberto Milone (albertomilone)
 Status: In Progress

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1881137

Title:
  Introduce the new NVIDIA 418-server and 440-server series, and update
  the current NVIDIA drivers

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-440/+bug/1881137/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1880564] Re: ubuntu-drivers-common now pulls in build tools on end-user systems

2020-05-28 Thread Alberto Milone
Steve: I already have a commit that gets rid of dpkg-architecture, and
removes the dependency.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1880564

Title:
  ubuntu-drivers-common now pulls in build tools on end-user systems

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-drivers-common/+bug/1880564/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1880564] Re: ubuntu-drivers-common now pulls in build tools on end-user systems

2020-05-27 Thread Alberto Milone
** Changed in: ubuntu-drivers-common (Ubuntu)
   Status: Triaged => In Progress

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1880564

Title:
  ubuntu-drivers-common now pulls in build tools on end-user systems

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-drivers-common/+bug/1880564/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1874091] Re: ubuntu-release-upgrader should use ubuntu-drivers and migrate people from nvidia-dkms to l-r-m

2020-05-26 Thread Alberto Milone
** Changed in: ubuntu-drivers-common (Ubuntu)
 Assignee: (unassigned) => Alberto Milone (albertomilone)

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1874091

Title:
  ubuntu-release-upgrader should use ubuntu-drivers and migrate people
  from nvidia-dkms to l-r-m

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-drivers-common/+bug/1874091/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1878315] Re: Ubuntu is unable to detect my GPU

2020-05-20 Thread Alberto Milone
Can you attach the following, please?

1) the output of the following command:
apt-cache policy ubuntu-drivers-common

2) the following file:
/var/log/gpu-manager.log

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1878315

Title:
  Ubuntu is unable to detect my GPU

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1878315/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1877727] Re: Nvidia dGPU active despite prime-select set to Intel card

2020-05-20 Thread Alberto Milone
I suspect this is LP: #1875339 . The ubuntu-drivers-common in the image
doesn't have the fix that version 1:0.8.1.1 (which you are probably
using when installing the drivers manually) has.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1877727

Title:
  Nvidia dGPU active despite prime-select set to Intel card

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nvidia-prime/+bug/1877727/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1878603] Re: bbswitch-dkms fails with 5.6 kernels

2020-05-18 Thread Alberto Milone
** Also affects: bbswitch (Ubuntu Focal)
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1878603

Title:
  bbswitch-dkms fails with 5.6 kernels

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/bbswitch/+bug/1878603/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1875339] Re: xorg does not use nvidia gpu on a I+N machine.

2020-05-04 Thread Alberto Milone
I have added the missing dependency, with no other change. Please accept
the change into focal-proposed.

** Description changed:

- On a machine with I+N, I install with focal 20.04 image. I didn't turn
- on auto-login. I checked "install 3rd party driver" during installation.
- It does install Nvidia driver (440.82+really.440.64-0ubuntu6).
+ SRU Request:
+ 
+ [Test Case]
+ 1) Enable the -proposed repository, and install the new ubuntu-drivers-common 
(1:0.8.1.1).
+ 
+ 2) Check that the dpkg-dev package is also installed.
+ 
+ 3) Restart your computer, and see if everything works correctly when
+ accessing the desktop.
+ 
+ [Regression Potential]
+ Low. No code was changed, only a missing dependency was added to solve the 
problem.
+ __
+ On a machine with I+N, I install with focal 20.04 image. I didn't turn on 
auto-login. I checked "install 3rd party driver" during installation. It does 
install Nvidia driver (440.82+really.440.64-0ubuntu6).
  
  On first boot, I double check by run 'prime-select query'. It return
  nvidia.
  
  run nvidia-smi, no program is using NV GPU.
  
  ---
  $ glxinfo -B
  name of display: :1
  display: :1  screen: 0
  direct rendering: Yes
  Extended renderer info (GLX_MESA_query_renderer):
  Vendor: Intel (0x8086)
  Device: Mesa Intel(R) UHD Graphics 630 (CFL GT2) (0x3e9b)
  Version: 20.0.4
  Accelerated: yes
  Video memory: 3072MB
  Unified memory: yes
  Preferred profile: core (0x1)
  Max core profile version: 4.6
  Max compat profile version: 4.6
  Max GLES1 profile version: 1.1
  Max GLES[23] profile version: 3.2
  OpenGL vendor string: Intel
  OpenGL renderer string: Mesa Intel(R) UHD Graphics 630 (CFL GT2)
  OpenGL core profile version string: 4.6 (Core Profile) Mesa 20.0.4
  OpenGL core profile shading language version string: 4.60
  OpenGL core profile context flags: (none)
  OpenGL core profile profile mask: core profile
  
  OpenGL version string: 4.6 (Compatibility Profile) Mesa 20.0.4
  OpenGL shading language version string: 4.60
  OpenGL context flags: (none)
  OpenGL profile mask: compatibility profile
  
  OpenGL ES profile version string: OpenGL ES 3.2 Mesa 20.0.4
  OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.20
  ---
  
  Run lsmod | grep nvidia, I got:
  
  ---
  nvidia_uvm970752  0
  nvidia_drm 49152  0
  nvidia_modeset   1114112  1 nvidia_drm
  nvidia  20430848  8 nvidia_uvm,nvidia_modeset
  drm_kms_helper184320  2 nvidia_drm,i915
  ipmi_msghandler   106496  2 ipmi_devintf,nvidia
  drm   491520  11 drm_kms_helper,nvidia_drm,i915
  ---
  
  I run
  
  $ sudo prime-select intel
  $ sudo prime-select nvidia
  $ sudo reboot
  
  After reboot, nothing changed.
  
  However, previously, on the same machine, I once get it works. (nvidia-smi 
show some X related process use GPU, glxinfo -B show Nvidia). I remembered I 
create another admin account, and later on, I found it's fixed. I didn't 
remember what else exactly make it happened.
  I re-installed again, and try to do more tests, can't fix it so far.
  
  LP: #1875315 have all the log that it first fixed.
  ---
  
  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: xorg 1:7.7+19ubuntu14
  ProcVersionSignature: Ubuntu 5.4.0-26.30-generic 5.4.30
  Uname: Linux 5.4.0-26-generic x86_64
  NonfreeKernelModules: nvidia_modeset nvidia
  .proc.driver.nvidia.gpus..01.00.0: Error: [Errno 21] Is a directory: 
'/proc/driver/nvidia/gpus/:01:00.0'
  .proc.driver.nvidia.registry: Binary: ""
  .proc.driver.nvidia.suspend: suspend hibernate resume
  .proc.driver.nvidia.suspend_depth: default modeset uvm
  .proc.driver.nvidia.version:
   NVRM version: NVIDIA UNIX x86_64 Kernel Module  440.64  Fri Feb 21 01:17:26 
UTC 2020
   GCC version:
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: amd64
  BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
  CasperMD5CheckResult: skip
  CompositorRunning: None
  CurrentDesktop: ubuntu:GNOME
  Date: Mon Apr 27 18:58:04 2020
  DistUpgraded: Fresh install
  DistroCodename: focal
  DistroVariant: ubuntu
  ExtraDebuggingInterest: Yes
  GraphicsCard:
   Intel Corporation UHD Graphics 630 (Mobile) [8086:3e9b] (rev 02) (prog-if 00 
[VGA controller])
     Subsystem: Dell UHD Graphics 630 (Mobile) [1028:091a]
     Subsystem: Dell GP107GLM [Quadro P620] [1028:091a]
  InstallationDate: Installed on 2020-04-27 (0 days ago)
  InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
  MachineType: Dell Inc. Precision 3541
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-26-generic 
root=UUID=8c0e264c-f63c-4d5a-b85f-6faf4008b9e6 ro quiet splash vt.handoff=7
  SourcePackage: xorg
  Symptom: display
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 08/21/2019
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: 1.5.1
  dmi.board.vendor: Dell Inc.
  dmi.chassis.type: 10
  

[Bug 1872908] Re: bcmwl kernel module does not build with 5.6.0 kernel

2020-05-04 Thread Alberto Milone
** Also affects: bcmwl (Ubuntu Focal)
   Importance: Undecided
   Status: New

** Changed in: bcmwl (Ubuntu)
 Assignee: (unassigned) => Alberto Milone (albertomilone)

** Changed in: bcmwl (Ubuntu Focal)
   Status: New => Triaged

** Changed in: bcmwl (Ubuntu)
   Status: Confirmed => In Progress

** Changed in: bcmwl (Ubuntu)
   Importance: Undecided => Medium

** Changed in: bcmwl (Ubuntu Focal)
   Importance: Undecided => Medium

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1872908

Title:
  bcmwl kernel module does not build with 5.6.0 kernel

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/bcmwl/+bug/1872908/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1765363] Re: prime-select intel is not powering off the nvidia card

2020-05-04 Thread Alberto Milone
I am pretty sure I fixed this in Ubuntu 19.10. If you use 20.04, you
shouldn't need bbswitch or any other tweaks.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1765363

Title:
  prime-select intel is not powering off the nvidia card

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nvidia-prime/+bug/1765363/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1875339] Re: xorg does not use nvidia gpu on a I+N machine.

2020-05-04 Thread Alberto Milone
** Also affects: ubuntu-drivers-common (Ubuntu Focal)
   Importance: Undecided
   Status: New

** Changed in: ubuntu-drivers-common (Ubuntu Focal)
   Status: New => In Progress

** Changed in: ubuntu-drivers-common (Ubuntu Focal)
   Importance: Undecided => High

** Changed in: ubuntu-drivers-common (Ubuntu Focal)
 Assignee: (unassigned) => Alberto Milone (albertomilone)

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1875339

Title:
  xorg does not use nvidia gpu on a I+N machine.

To manage notifications about this bug go to:
https://bugs.launchpad.net/oem-priority/+bug/1875339/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1875339] Re: xorg does not use nvidia gpu on a I+N machine.

2020-05-04 Thread Alberto Milone
** Also affects: ubuntu-drivers-common (Ubuntu)
   Importance: Undecided
   Status: New

** Changed in: ubuntu-drivers-common (Ubuntu)
 Assignee: (unassigned) => Alberto Milone (albertomilone)

** Changed in: ubuntu-drivers-common (Ubuntu)
   Importance: Undecided => High

** Changed in: ubuntu-drivers-common (Ubuntu)
   Status: New => In Progress

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1875339

Title:
  xorg does not use nvidia gpu on a I+N machine.

To manage notifications about this bug go to:
https://bugs.launchpad.net/oem-priority/+bug/1875339/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1876052] Re: Nvidia driver, default configuration, "Use dedicated card option" for app triggers software acceleration

2020-04-30 Thread Alberto Milone
** Changed in: nvidia-settings (Ubuntu)
 Assignee: (unassigned) => Alberto Milone (albertomilone)

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1876052

Title:
  Nvidia driver, default configuration, "Use dedicated card option" for
  app triggers software acceleration

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/1876052/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1876051] Re: Default acceleration mode option is none of the 3 nvidia settings option

2020-04-30 Thread Alberto Milone
** Changed in: nvidia-settings (Ubuntu)
 Assignee: (unassigned) => Alberto Milone (albertomilone)

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1876051

Title:
  Default acceleration mode option is none of the 3 nvidia settings
  option

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nvidia-settings/+bug/1876051/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1875888] [NEW] Add signed modules for the 435 NVIDIA driver

2020-04-29 Thread Alberto Milone
Public bug reported:

Add signed modules for the 435 NVIDIA driver in Focal, so that upgrades
from Bionic or from Eoan to Focal continue providing signed modules when
using the 435 driver.

** Affects: linux (Ubuntu)
 Importance: Undecided
 Status: New

** Affects: linux (Ubuntu Focal)
 Importance: High
 Status: In Progress

** Also affects: linux (Ubuntu Focal)
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1875888

Title:
  Add signed modules for the 435 NVIDIA driver

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1875888/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1854485] Re: Introduce the new NVIDIA 440 series, and add 5.4 Linux compatibility to the 340 and 390 series

2020-04-29 Thread Alberto Milone
** Tags removed: block-proposed-bionic verification-needed 
verification-needed-bionic verification-needed-eoan
** Tags added: verification-done-bionic verification-done-eoan

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1854485

Title:
  Introduce the new NVIDIA 440 series, and add 5.4 Linux compatibility
  to the 340 and 390 series

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1854485/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1875339] Re: xorg does not use nvidia gpu on a I+N machine.

2020-04-28 Thread Alberto Milone
Can you attach your /var/log/gpu-manager.log after reproducing the
problem, please?

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1875339

Title:
  xorg does not use nvidia gpu on a I+N machine.

To manage notifications about this bug go to:
https://bugs.launchpad.net/oem-priority/+bug/1875339/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1845801] Re: [nvidia] Automatic login fails and then all subsequent logins fail. Killing gnome-session-binary fixes it, or just not using automatic login.

2020-04-23 Thread Alberto Milone
I still can't reproduce the problem here. I am attaching the output of
lspci -vvv.

** Attachment added: "lspci.txt"
   
https://bugs.launchpad.net/ubuntu/+source/gnome-session/+bug/1845801/+attachment/5358377/+files/lspci.txt

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1845801

Title:
  [nvidia] Automatic login fails and then all subsequent logins fail.
  Killing gnome-session-binary fixes it, or just not using automatic
  login.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gdm3/+bug/1845801/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1845801] Re: [nvidia] Automatic login fails and then all subsequent logins fail. Killing gnome-session-binary fixes it, or just not using automatic login.

2020-04-23 Thread Alberto Milone
@Daniel: I tested this on an NVIDIA only system. I am going to test
again on a fresh focal installation, to see if it makes any difference.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1845801

Title:
  [nvidia] Automatic login fails and then all subsequent logins fail.
  Killing gnome-session-binary fixes it, or just not using automatic
  login.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gdm3/+bug/1845801/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1873867] Re: ubuntu-drivers changes kernel flavour when installing nvidia

2020-04-20 Thread Alberto Milone
** Also affects: ubuntu-drivers-common (Ubuntu)
   Importance: Undecided
   Status: New

** Changed in: ubuntu-drivers-common (Ubuntu)
 Assignee: (unassigned) => Alberto Milone (albertomilone)

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1873867

Title:
  ubuntu-drivers changes kernel flavour when installing nvidia

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1873867/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1845801] Re: [nvidia] Automatic login fails and then all subsequent logins fail. Killing gnome-session-binary fixes it, or just not using automatic login.

2020-04-20 Thread Alberto Milone
I have just updated an Eoan installation to Focal, enabled auto-login,
and I can't reproduce the problem. I am using the 440.64 driver, and
nvidia-drm.modeset is disabled. I can also see the bootsplash.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1845801

Title:
  [nvidia] Automatic login fails and then all subsequent logins fail.
  Killing gnome-session-binary fixes it, or just not using automatic
  login.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gdm3/+bug/1845801/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1862144] Re: cannot install i386 version along with amd64 version

2020-04-14 Thread Alberto Milone
I am marking this as invalid, since it doesn't affect the packages in
the Ubuntu archive.

** Changed in: nvidia-graphics-drivers-440 (Ubuntu)
   Status: Confirmed => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1862144

Title:
  cannot install i386 version along with amd64 version

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-440/+bug/1862144/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1870637] Re: Nvidia+modeset: Can't set 4K@60Hz: HDMI max TMDS frequency 300000KHz

2020-04-07 Thread Alberto Milone
How did you install the NVIDIA driver? While I can see the kernel
modules being loaded, I don't see the NVIDIA libraries in the X log.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1870637

Title:
  Nvidia+modeset: Can't set 4K@60Hz: HDMI max TMDS frequency 30KHz

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-435/+bug/1870637/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1858709] Re: libnvidia-allocator missing from packaging

2020-04-02 Thread Alberto Milone
This is fixed in 440.64-0ubuntu3 in Focal. The new library is available
in the libnvidia-extra-440 package.

** Changed in: nvidia-graphics-drivers-440 (Ubuntu)
   Status: In Progress => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1858709

Title:
  libnvidia-allocator missing from packaging

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-440/+bug/1858709/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1854485] Re: Introduce the new NVIDIA 440 series, and add 5.4 Linux compatibility to the 340 and 390 series

2020-03-18 Thread Alberto Milone
Here is a full summary of the verification tests:

== Drivers in Bionic ==

passed: -340, -390, -440
failed: none 

== Drivers in Eoan ==

passed: -390, -440
failed: -340

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1854485

Title:
  Introduce the new NVIDIA 440 series, and add 5.4 Linux compatibility
  to the 340 and 390 series

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1854485/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1854485] Re: Introduce the new NVIDIA 440 series, and add 5.4 Linux compatibility to the 340 and 390 series

2020-03-16 Thread Alberto Milone
To sum it up: only -340 in Eoan failed, whereas the rest passed our
tests.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1854485

Title:
  Introduce the new NVIDIA 440 series, and add 5.4 Linux compatibility
  to the 340 and 390 series

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1854485/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1858709] Re: libnvidia-allocator missing from packaging

2020-03-13 Thread Alberto Milone
*I did not notice

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1858709

Title:
  libnvidia-allocator missing from packaging

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-440/+bug/1858709/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1858709] Re: libnvidia-allocator missing from packaging

2020-03-13 Thread Alberto Milone
I did not noticed, and I made a mistake. I will fix it.

** Changed in: nvidia-graphics-drivers-440 (Ubuntu)
   Status: Fix Released => In Progress

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1858709

Title:
  libnvidia-allocator missing from packaging

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-440/+bug/1858709/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1854485] Re: Introduce the new NVIDIA 440 series, and add 5.4 Linux compatibility to the 340 and 390 series

2020-03-13 Thread Alberto Milone
** Changed in: linux (Ubuntu Bionic)
   Importance: Undecided => Medium

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1854485

Title:
  Introduce the new NVIDIA 440 series, and add 5.4 Linux compatibility
  to the 340 and 390 series

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1854485/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

  1   2   3   4   5   6   7   8   9   10   >